levelDesc = levelDesc or {}
levelDesc.areaId = 0
levelDesc.areas = {
	{
		areas = {
			{ -240, -240, 2528, 2016, },
		},
		class = "Room",
		entranceList = {
			{ x=2132, y=552, },
			{ x=1050, y=442, },
		},
		exitList = {
			{ x=1050, y=368, },
			{ x=2135, y=511, },
		},
		name = "Rest X area",
	},
}
levelDesc.class = "DelLevel"
levelDesc.cleanerId = "edward"
levelDesc.entertainerId = "jimmy"
levelDesc.grid = {
	cellHeight = 16,
	cellWidth = 16,
	cells = {
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"..............................................................................................................................................................",
		"...............................................................................XXX............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"...............................................................................X.X............................................................................",
		"........................................................................XXXXXXXX.XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.............................",
		"........................................................................X.....................................................|||XX...........................",
		"........................................................................X.................................................XXXXXX|||XX.........................",
		"........................................................................X.....................................................||XX|||XX.......................",
		"........................................................................X..................................................XXXX|||XX|||XX.....................",
		"........................................................................X..................................................X..XXX|||XX|||XX...................",
		"........................................................................X..................................................X.....XX|||XX|||XX.................",
		"........................................................................X........................................X.........X.......XX|||XX|||XX...............",
		"........................................................................X........................................X.........X.........XX|||XX|||XX.............",
		"....XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX......X...........XX|||XX|||XX...........",
		"....X.............X.X........X.X...............X.X....X....X.X...X.X..............X....X..................X.....X..................X.....XX|||XX|||XX.........",
		"....X.............X.X........X.X...............X.X....X....X.X...X.X..............X....X.................XXXXXXXXXXXX......X...............XX|||XX|||X........",
		"....X.............X.X........X.X...............X.X....X....X.X...X.X..............X.....X................X......X..........X.................XX|||XX|X........",
		"....X.............X.X........X.X...............X.X....X....X.X...X.XXXXXXXXXXXXXXXX.....XX..............X..................XXXXXXXXXXXX........XX|||XX........",
		"....X.............X.X........X.X...............X.X....X....X.X...X.X......................XXXXXXXXXXXXXX..............................X........X.XX||X........",
		"....X.............X.X........X.X...............X.X....X....X.X...X.X.........................X......X.................................X........X...XXXXXXXXXXX",
		"....X.................................................................................................................................X.......XX..............",
		"....XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX....................................................................................XXXXXXXXX...............",
		"..............X................................X.X.......................................................X....................................................",
		"..............X................................X.X.....................................................XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX...................",
		"..............X................................XXXXX.....................................................X...............................X.....XXXX...........",
		"..............X.................................|||X.....................................................X...............................X.....X..X...........",
		"..............X.................................|||XXXX................................................XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX...X..X...........",
		"..............X.................................||||X........................................................X.........................X...X...X..X...........",
		"..............X.................................||||.........................................................X.........................XXXXX...X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||..........X................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..X...........",
		"..............X.................................||||...........................................................................................X..XXXXXXXXXXXX",
		"..............X.................................||||...........................................................................................X..............",
		"..............X.................................||||...........................................................................................X..............",
		"..............X.................................||||...........................................................................................X..............",
		"..............XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX..........................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X................................................................................................X..............",
		"..............................................X...................X.........................X....................X...................X.........X..............",
		"..............................................XXXXXXXXXXXX........X.........................X....................X...................X.........X..............",
		"..............................................X.......X...........X.........................X.................XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.X..............",
		"..............................................X.......X.....XX.................X......................X..........X...................X.........X..............",
		"................................XXXXXXXXXXXX..X.......X........................X..........X...........X..........X...................X.........X..............",
		"..............XXXXXXXXXXXXXXXXXXX..........X..X.......X.......XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX......X...................X.........X..............",
		"..............X............................X..X.......X........X.......................................X.........X...................XXXXXXXXX.X..............",
		"..............X............................X..X.......X.....XX.XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX......XXXXXXXXXXXXXXXXXX.....X.........X..............",
		"..............X............................X..X.......X........................................................................X.....X.........X..............",
		"..............X............................X..XXXXXXXXXXXX.....................................................................X.....XXXXXXXXX.X..............",
		"..............X..........................XXXXXXXX..............................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....XXXXXXXXX.X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....X.........X..............",
		"..............X................................................................................................................X.....XXXXXXXXX.X..............",
		"..............X................................................X...............................................................X.....X.........X..............",
		"..............XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.......XXXXXXXXXXXXXXXXXXXXXXXXXXXXX........XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.....X.........X..............",
		"..............X...............................X................X.......................X........X....................................X.........X..............",
		"..............X...............................X................X.......................X........X....................................X.........X..............",
		"..............X...............................X................X.......................XXXXXXXXXX....XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.X..............",
		"..............X...............................XXXXXX.......XXXXX.....................................X...............................X.........X..............",
		"..............X...............................X................XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX...............................X.........X..............",
		"..............XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX................X...............................................................................X..............",
		"..............................................X................X...............................................................................X..............",
		"..............................................X................X...............................................................................X..............",
		"..............................................X................XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX..............",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
		"..............................................X................X..............................................................................................",
	},
	class = "Grid",
	gridHeight = 126,
	gridWidth = 158,
	offset = { x=15, y=15, },
}
levelDesc.heroId = "angela"
levelDesc.heroPosition = { x=1042, y=1227, }
levelDesc.kitchenAreaBottomRight = { x=1882, y=1416, }
levelDesc.kitchenAreaTopLeft = { x=762, y=1008, }
levelDesc.layoutId = "boutique"
levelDesc.music = "boutique"
levelDesc.nextUID = 256
levelDesc.objects = levelDesc.objects or {}
levelDesc.objects[1] = {
	__uid = 1,
	name = "background",
	objects = {
		{
			__obj = 1,
			__uid = 1,
			baseAnimation = "background",
			class = "Desk",
			defaultSection = "boutique",
			floor = -1072,
			movable = false,
			name = "background",
			queueDesc = {
				autoSort = false,
				class = "Queue",
				positions = {
					{
						{ x=895, y=850, },
						{ x=1037, y=850, },
						{ x=970, y=803, },
						{ x=968, y=891, },
					},
					{
						{ x=234, y=923, },
						{ x=317, y=895, },
						{ x=243, y=852, },
						{ x=163, y=891, },
					},
					{
						{ x=1379, y=715, },
						{ x=1466, y=741, },
						{ x=1398, y=760, },
						{ x=1459, y=801, },
					},
				},
			},
			roundPos = true,
			x = 0,
			y = 0,
		},
	},
}
levelDesc.objects[2] = {
	__uid = 2,
	name = "bg2",
	objects = {
		{
			__obj = 1,
			__uid = 2,
			baseAnimation = "deck",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -440,
			name = "bg2",
			roundPos = true,
			x = 1178,
			y = 194,
		},
	},
}
levelDesc.objects[3] = {
	__uid = 3,
	name = "_reference",
	objects = {
		{
			__obj = 1,
			__uid = 3,
			baseAnimation = "ref",
			class = "SpriteExt",
			defaultSection = "boutique",
			defaultShow = false,
			floor = 1000,
			hideInEditor = true,
			initialVisible = false,
			name = "_reference",
			roundPos = true,
			x = 0,
			y = 0,
		},
	},
}
levelDesc.objects[4] = {
	__uid = 4,
	name = "bg3",
	objects = {
		{
			__obj = 1,
			__uid = 4,
			baseAnimation = "deck_bottom",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -242,
			name = "bg3",
			roundPos = true,
			x = 1178,
			y = 194,
		},
	},
}
levelDesc.objects[5] = {
	__uid = 5,
	name = "sea",
	objects = {
		{
			__obj = 1,
			__uid = 5,
			baseAnimation = "sea",
			class = "ParallaxObject",
			defaultSection = "boutique",
			floor = -411,
			name = "sea",
			playIdleAnimations = true,
			roundPos = true,
			settingsFile = "boutique_sea.lua",
			speed = -100,
			x = 1200,
			y = 0,
		},
	},
}
levelDesc.objects[6] = {
	__uid = 6,
	name = "sewing_room_wall",
	objects = {
		{
			__obj = 1,
			__uid = 6,
			baseAnimation = "sewing_room_wall",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -42,
			name = "sewing_room_wall",
			roundPos = true,
			x = 1,
			y = 779,
		},
	},
}
levelDesc.objects[7] = {
	__uid = 7,
	name = "sewing_room",
	objects = {
		{
			__obj = 1,
			__uid = 7,
			baseAnimation = "sewing_room",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -474,
			name = "sewing_room",
			roundPos = true,
			x = 0,
			y = 778,
		},
	},
}
levelDesc.objects[8] = {
	__uid = 8,
	name = "sewmachine",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 8,
			baseAnimation = "sewmachine",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -39,
			introductionPos = { x=364, y=964, },
			name = "sewmachine",
			roundPos = true,
			upgradeGroup = "boutique_sewingmachine",
			x = 248,
			y = 885,
		},
	},
}
levelDesc.objects[9] = {
	__uid = 9,
	name = "kitchen_block",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 9,
			baseAnimation = "kitchen-block",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -133,
			name = "kitchen_block",
			roundPos = true,
			shopBoughtTextId = "none",
			upgradeGroup = "boutique_kitchen",
			x = 685,
			y = 1153,
		},
	},
}
levelDesc.objects[10] = {
	__uid = 10,
	name = "counter",
	objects = {
		{
			__obj = 1,
			__uid = 10,
			bag1 = "foodbag1",
			bag2 = "foodbag2",
			bag3 = "foodbag3",
			baseAnimation = "kitchen_counter",
			class = "Counter",
			defaultSection = "boutique",
			floor = -116,
			introductionPos = { x=1032, y=1030, },
			name = "counter",
			queueDesc = {
				autoSort = true,
				class = "Queue",
				positions = {
					{
						{ x=854, y=1126, },
						{ x=864, y=1040, },
						{ x=856, y=962, },
					},
					{
						{ x=1052, y=1120, },
						{ x=1050, y=1042, },
						{ x=1064, y=958, },
					},
					{
						{ x=1364, y=1126, },
						{ x=1362, y=1062, },
						{ x=1368, y=984, },
					},
				},
			},
			roundPos = true,
			upgradeGroup = "boutique_kitchen",
			workPos = { x=1085, y=1240, },
			workPositions = {
				{ x=870, y=1203, },
				{ x=1030, y=1203, },
				{ x=1190, y=1202, },
			},
			x = 665,
			y = 960,
		},
	},
}
levelDesc.objects[11] = {
	__uid = 11,
	name = "foodbag1",
	objects = {
		{
			__obj = 1,
			__uid = 11,
			baseAnimation = "foodbag",
			class = "SpriteExt",
			defaultSection = "boutique_icons",
			floor = 135,
			name = "foodbag1",
			roundPos = true,
			x = 825,
			y = 946,
		},
	},
}
levelDesc.objects[12] = {
	__uid = 12,
	name = "foodbag2",
	objects = {
		{
			__obj = 1,
			__uid = 12,
			baseAnimation = "foodbag",
			class = "SpriteExt",
			defaultSection = "boutique_icons",
			floor = 135,
			name = "foodbag2",
			roundPos = true,
			x = 991,
			y = 945,
		},
	},
}
levelDesc.objects[13] = {
	__uid = 13,
	name = "foodbag3",
	objects = {
		{
			__obj = 1,
			__uid = 13,
			baseAnimation = "foodbag",
			class = "SpriteExt",
			defaultSection = "boutique_icons",
			floor = 135,
			name = "foodbag3",
			roundPos = true,
			x = 1297,
			y = 953,
		},
	},
}
levelDesc.objects[14] = {
	__uid = 14,
	name = "register",
	objects = {
		{
			__obj = 1,
			__uid = 14,
			baseAnimation = "register",
			class = "CashRegister",
			defaultSection = "boutique",
			floaterPosition = { x=86, y=101, },
			floor = 94,
			name = "register",
			roundPos = true,
			workPos = { x=1192, y=1203, },
			x = 1100,
			y = 879,
		},
	},
}
levelDesc.objects[15] = {
	__uid = 15,
	name = "jewelry1",
	objects = {
		{
			__obj = 1,
			__uid = 15,
			baseAnimation = "jewelry",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -78,
			name = "jewelry1",
			roundPos = true,
			x = 1295,
			y = 1222,
		},
	},
}
levelDesc.objects[17] = {
	__uid = 17,
	name = "coffeemachine",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 17,
			baseAnimation = "coffeemachine",
			button1 = "coffee_done",
			class = "Cooker",
			cookerButton = "coffee",
			defaultSection = "boutique",
			floor = -153,
			introductionPos = { x=574, y=929, },
			name = "coffeemachine",
			roundPos = true,
			throwDuration = 0,
			upgradeGroup = "boutique_coffeemachine",
			x = 443,
			y = 833,
		},
	},
}
levelDesc.objects[18] = {
	__uid = 18,
	name = "tableB-2_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 18,
			baseAnimation = "barstool",
			characterPos = { x=1938, y=1138, },
			class = "Chair",
			defaultSection = "boutique",
			direction = "left",
			floor = -55,
			name = "tableB-2_chair2",
			platePosition = { x=-3, y=42, },
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			workPos = { x=2004, y=1184, },
			x = 1871,
			y = 1052,
		},
	},
}
levelDesc.objects[19] = {
	__uid = 19,
	name = "tableB-2_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 19,
			baseAnimation = "barstool",
			characterPos = { x=1944, y=1286, },
			class = "Chair",
			defaultSection = "boutique",
			direction = "left",
			floor = -55,
			name = "tableB-2_chair1",
			platePosition = { x=6, y=20, },
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			workPos = { x=2002, y=1339, },
			x = 1871,
			y = 1205,
		},
	},
}
levelDesc.objects[20] = {
	__uid = 20,
	name = "railing",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 20,
			baseAnimation = "railing",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -380,
			introductionPos = { x=390, y=541, },
			name = "railing",
			roundPos = true,
			shadowFloorOffset = 149,
			upgradeGroup = "boutique_railing",
			x = 0,
			y = 466,
		},
	},
}
levelDesc.objects[21] = {
	__uid = 21,
	name = "rack1",
	objects = {
		{
			__obj = 1,
			__uid = 21,
			baseAnimation = "rack",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -104,
			name = "rack1",
			roundPos = true,
			x = 1387,
			y = 491,
		},
	},
}
levelDesc.objects[22] = {
	__uid = 22,
	name = "rack2",
	objects = {
		{
			__obj = 1,
			__uid = 22,
			baseAnimation = "rack",
			class = "Object",
			defaultSection = "boutique",
			floor = -110,
			name = "rack2",
			obstructs = {
				{ x=35, y=9, },
				{ x=34, y=9, },
				{ x=33, y=9, },
				{ x=32, y=9, },
				{ x=31, y=9, },
				{ x=30, y=9, },
				{ x=29, y=9, },
				{ x=28, y=9, },
				{ x=27, y=9, },
				{ x=26, y=9, },
				{ x=25, y=9, },
				{ x=24, y=9, },
				{ x=23, y=9, },
				{ x=22, y=9, },
				{ x=21, y=9, },
				{ x=20, y=9, },
				{ x=19, y=9, },
				{ x=18, y=9, },
				{ x=17, y=9, },
				{ x=16, y=9, },
				{ x=15, y=9, },
				{ x=14, y=9, },
				{ x=13, y=9, },
				{ x=12, y=9, },
				{ x=11, y=9, },
				{ x=10, y=9, },
				{ x=9, y=9, },
				{ x=8, y=9, },
				{ x=7, y=9, },
				{ x=6, y=9, },
				{ x=5, y=9, },
				{ x=4, y=9, },
				{ x=4, y=10, },
				{ x=4, y=11, },
				{ x=4, y=12, },
				{ x=5, y=12, },
				{ x=6, y=12, },
				{ x=7, y=12, },
				{ x=8, y=12, },
				{ x=9, y=12, },
				{ x=10, y=12, },
				{ x=11, y=12, },
				{ x=12, y=12, },
				{ x=13, y=12, },
				{ x=14, y=12, },
				{ x=15, y=12, },
				{ x=16, y=12, },
				{ x=17, y=12, },
				{ x=18, y=12, },
				{ x=19, y=12, },
				{ x=20, y=12, },
				{ x=21, y=12, },
				{ x=22, y=12, },
				{ x=23, y=12, },
				{ x=24, y=12, },
				{ x=25, y=12, },
				{ x=26, y=12, },
				{ x=27, y=12, },
				{ x=28, y=12, },
				{ x=29, y=12, },
				{ x=30, y=12, },
				{ x=31, y=12, },
				{ x=32, y=12, },
				{ x=33, y=12, },
				{ x=34, y=12, },
				{ x=35, y=12, },
				{ x=33, y=13, },
				{ x=33, y=14, },
				{ x=8, y=13, },
				{ x=8, y=14, },
				{ x=3, y=12, },
				{ x=2, y=12, },
				{ x=1, y=12, },
				{ x=3, y=9, },
				{ x=2, y=9, },
				{ x=1, y=9, },
				{ x=4, y=8, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			x = 1450,
			y = 619,
		},
	},
}
levelDesc.objects[23] = {
	__uid = 23,
	name = "tableD-1_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 23,
			baseAnimation = "shoechair",
			characterPos = { x=1166, y=793, },
			class = "Chair",
			defaultSection = "boutique",
			direction = "left",
			doTopPartSplit = false,
			floor = -82,
			hintArrowPosition = { x=93, y=-42, },
			name = "tableD-1_chair1",
			obstructs = {
				{ x=2, y=4, },
				{ x=3, y=4, },
				{ x=4, y=4, },
				{ x=5, y=4, },
				{ x=6, y=4, },
				{ x=7, y=4, },
				{ x=8, y=4, },
				{ x=9, y=4, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=3, y=6, },
				{ x=4, y=6, },
				{ x=5, y=6, },
				{ x=6, y=6, },
				{ x=7, y=6, },
				{ x=8, y=6, },
				{ x=3, y=7, },
				{ x=2, y=7, },
				{ x=4, y=7, },
				{ x=5, y=7, },
				{ x=6, y=7, },
				{ x=7, y=7, },
				{ x=8, y=7, },
				{ x=5, y=8, },
				{ x=6, y=8, },
				{ x=2, y=9, },
				{ x=3, y=9, },
				{ x=4, y=9, },
				{ x=5, y=9, },
				{ x=6, y=9, },
				{ x=7, y=9, },
				{ x=8, y=9, },
			},
			roundPos = true,
			shadowFloorOffset = 25,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workPos = { x=1160, y=806, },
			x = 1109,
			y = 677,
		},
	},
}
levelDesc.objects[24] = {
	__uid = 24,
	name = "tableC-1_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 24,
			baseAnimation = "shoechair2",
			characterPos = { x=764, y=769, },
			class = "Chair",
			defaultSection = "boutique",
			doTopPartSplit = false,
			floor = -92,
			hintArrowPosition = { x=93, y=17, },
			name = "tableC-1_chair1",
			obstructs = {
				{ x=3, y=3, },
				{ x=4, y=3, },
				{ x=5, y=3, },
				{ x=7, y=3, },
				{ x=6, y=3, },
				{ x=8, y=3, },
				{ x=9, y=3, },
				{ x=10, y=3, },
				{ x=11, y=3, },
				{ x=7, y=4, },
				{ x=7, y=5, },
				{ x=6, y=5, },
				{ x=5, y=5, },
				{ x=4, y=5, },
				{ x=3, y=6, },
				{ x=4, y=6, },
				{ x=5, y=6, },
				{ x=6, y=6, },
				{ x=7, y=6, },
				{ x=8, y=6, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=9, y=6, },
				{ x=10, y=5, },
				{ x=10, y=6, },
				{ x=11, y=5, },
				{ x=11, y=6, },
				{ x=12, y=6, },
				{ x=3, y=8, },
				{ x=4, y=8, },
				{ x=5, y=8, },
				{ x=6, y=8, },
				{ x=7, y=8, },
				{ x=7, y=7, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workPos = { x=753, y=763, },
			x = 616,
			y = 694,
		},
	},
}
levelDesc.objects[25] = {
	__uid = 25,
	name = "tableC-1",
	objects = {
		{
			__obj = 1,
			__uid = 25,
			additionalClick1 = "tableC-1_chair1",
			autoClean = true,
			baseAnimation = "DUMMY_OBJECT",
			class = "Table",
			defaultEatingLoop = false,
			defaultSection = "icons",
			entertainPosition = { x=757, y=857, },
			floaterPosition = { x=776, y=-45, },
			floor = 71,
			hintArrowDirection = "left",
			hintArrowPosition = { x=816, y=22, },
			hintDialogPosition = { x=786, y=-3, },
			introductionPos = { x=730, y=719, },
			name = "tableC-1",
			noPlates = true,
			overheadFloor = 1000,
			overheadPosition = { x=795, y=-169, },
			place = "shoes",
			roundPos = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
			},
			workDirection = "left",
			workPos = { x=835, y=792, },
			x = -63,
			y = 733,
		},
	},
}
levelDesc.objects[26] = {
	__uid = 26,
	name = "tableD-1",
	objects = {
		{
			__obj = 1,
			__uid = 26,
			additionalClick1 = "tableD-1_chair1",
			autoClean = true,
			baseAnimation = "DUMMY_OBJECT",
			class = "Table",
			defaultEatingLoop = false,
			defaultSection = "icons",
			entertainPosition = { x=1138, y=865, },
			floaterPosition = { x=1272, y=-70, },
			floor = 12,
			hintArrowPosition = { x=1278, y=-234, },
			hintDialogPosition = { x=1272, y=-64, },
			introductionPos = { x=1162, y=728, },
			name = "tableD-1",
			noPlates = true,
			overheadFloor = 1000,
			overheadPosition = { x=1224, y=-214, },
			place = "shoes",
			roundPos = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
			},
			workDirection = "right",
			workPos = { x=1064, y=798, },
			x = -63,
			y = 792,
		},
	},
}
levelDesc.objects[27] = {
	__uid = 27,
	name = "tableB-2",
	objects = {
		{
			__obj = 1,
			__uid = 27,
			additionalClick1 = "tableB-2_chair1",
			additionalClick2 = "tableB-2_chair2",
			autoClean = true,
			baseAnimation = "DUMMY_OBJECT",
			class = "Table",
			defaultEatingLoop = false,
			defaultSection = "icons",
			entertainDirection = "left",
			entertainPosition = { x=2032, y=1344, },
			floaterPosition = { x=-130, y=-192, },
			floor = 29,
			hintArrowPosition = { x=-189, y=-160, },
			hintDialogPosition = { x=-174, y=-212, },
			introductionPos = { x=1976, y=1229, },
			name = "tableB-2",
			noPlates = true,
			overheadPosition = { x=-133, y=-238, },
			place = "jewelry",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			sparklePosition = { x=1884, y=1248, },
			workDirection = "right",
			workPos = { x=1760, y=1340, },
			x = 2090,
			y = 1264,
		},
	},
}
levelDesc.objects[28] = {
	__uid = 28,
	name = "tableE-2",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 28,
			baseAnimation = "table_2",
			class = "Table",
			defaultEatingLoop = false,
			defaultSection = "boutique",
			defaultShow = false,
			entertainDirection = "up",
			entertainPosition = { x=284, y=818, },
			floor = -112,
			hintArrowPosition = { x=104, y=88, },
			introductionPos = { x=265, y=664, },
			name = "tableE-2",
			obstructs = {
				{ x=4, y=19, },
				{ x=4, y=18, },
				{ x=4, y=17, },
				{ x=5, y=17, },
				{ x=6, y=17, },
				{ x=7, y=17, },
				{ x=8, y=17, },
				{ x=9, y=17, },
				{ x=10, y=17, },
				{ x=11, y=17, },
				{ x=12, y=17, },
				{ x=10, y=18, },
				{ x=10, y=18, },
				{ x=10, y=19, },
				{ x=3, y=17, },
				{ x=2, y=17, },
				{ x=2, y=12, },
				{ x=3, y=12, },
				{ x=4, y=12, },
				{ x=5, y=12, },
				{ x=6, y=12, },
				{ x=7, y=12, },
				{ x=8, y=12, },
				{ x=9, y=12, },
				{ x=10, y=12, },
				{ x=11, y=12, },
				{ x=12, y=12, },
				{ x=13, y=12, },
				{ x=7, y=13, },
				{ x=7, y=14, },
				{ x=7, y=15, },
				{ x=7, y=16, },
				{ x=1, y=12, },
				{ x=1, y=17, },
				{ x=13, y=17, },
				{ x=0, y=12, },
				{ x=-1, y=12, },
				{ x=-2, y=12, },
				{ x=-3, y=12, },
				{ x=0, y=17, },
				{ x=-1, y=17, },
				{ x=-2, y=17, },
				{ x=-3, y=17, },
				{ x=14, y=17, },
				{ x=15, y=17, },
				{ x=16, y=17, },
				{ x=17, y=17, },
				{ x=14, y=12, },
				{ x=15, y=12, },
				{ x=16, y=12, },
				{ x=17, y=12, },
				{ x=18, y=17, },
				{ x=-4, y=17, },
				{ x=-4, y=12, },
				{ x=18, y=12, },
			},
			overheadPosition = { x=114, y=126, },
			place = "table",
			roundPos = true,
			shadowFloorOffset = 162,
			showExceptions = {
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			statusObject1 = "tableE-2_dirty",
			upgradeGroup = "boutique_tables",
			workDirection = "up",
			workPos = { x=257, y=782, },
			x = 147,
			y = 470,
		},
	},
}
levelDesc.objects[29] = {
	__uid = 29,
	name = "tableE-2_chair1",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 29,
			baseAnimation = "chair_left",
			characterPos = { x=179, y=734, },
			class = "Chair",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -75,
			name = "tableE-2_chair1",
			platePosition = { x=217, y=93, },
			roundPos = true,
			shadowFloorOffset = 122,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			upgradeGroup = "boutique_tables",
			workPos = { x=138, y=757, },
			x = 14,
			y = 564,
		},
	},
}
levelDesc.objects[30] = {
	__uid = 30,
	name = "tableE-2_chair2",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 30,
			baseAnimation = "chair_right",
			characterPos = { x=344, y=734, },
			class = "Chair",
			defaultSection = "boutique",
			defaultShow = false,
			direction = "left",
			floor = -81,
			name = "tableE-2_chair2",
			platePosition = { x=39, y=84, },
			roundPos = true,
			shadowFloorOffset = 122,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			upgradeGroup = "boutique_tables",
			workPos = { x=381, y=764, },
			x = 254,
			y = 564,
		},
	},
}
levelDesc.objects[31] = {
	__uid = 31,
	name = "angela",
	objects = {
		{
			__obj = 1,
			__uid = 31,
			anchor = "bottom",
			base = "angela",
			baseAnimation = "angela",
			class = "DelCharacter",
			defaultSection = "angela",
			defaultShow = false,
			floor = -47,
			name = "angela",
			showExceptions = {
				"boutique_13",
			},
			x = 2242,
			y = 838,
		},
		{
			__obj = 2,
			__uid = 31,
			anchor = "bottom",
			base = "angela",
			baseAnimation = "angela",
			class = "Hero",
			defaultSection = "angela",
			floor = -47,
			name = "angela",
			showExceptions = {
				"boutique_13",
				"boutique_14",
			},
			x = 1000,
			y = 1285,
		},
	},
}
levelDesc.objects[32] = {
	__uid = 32,
	name = "patrick",
	objects = {
		{
			__obj = 1,
			__uid = 32,
			anchor = "bottom",
			base = "patrick",
			baseAnimation = "patrick",
			class = "Customer",
			defaultSection = "patrick",
			floor = -45,
			name = "patrick",
			playIdleAnimations = true,
			showExceptions = {
				"boutique_10",
				"boutique_6",
				"boutique_7",
				"boutique_8",
				"boutique_9",
			},
			x = 2242,
			y = 721,
		},
	},
}
levelDesc.objects[33] = {
	__uid = 33,
	name = "emily",
	objects = {
		{
			__obj = 1,
			__uid = 33,
			anchor = "bottom",
			base = "emily",
			baseAnimation = "emily",
			class = "Hero",
			defaultSection = "emily",
			defaultShow = false,
			floor = -44,
			name = "emily",
			playIdleAnimations = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
			},
			x = 2251,
			y = 659,
		},
		{
			__obj = 2,
			__uid = 33,
			anchor = "bottom",
			base = "emily",
			baseAnimation = "emily",
			class = "Customer",
			defaultSection = "emily",
			floor = -44,
			name = "emily",
			playIdleAnimations = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
			},
			x = 2188,
			y = 660,
		},
	},
}
levelDesc.objects[34] = {
	__uid = 34,
	name = "loveseat",
	objects = {
		{
			__obj = 1,
			__uid = 34,
			baseAnimation = "loveseat",
			class = "LoveSeat",
			defaultSection = "boutique",
			floor = -65,
			hintArrowPosition = { x=195, y=-43, },
			introductionTextId = "none",
			name = "loveseat",
			overheadPosition = { x=193, y=-51, },
			roundPos = true,
			shadowFloorOffset = 112,
			shopBoughtTextId = "none",
			x = 1118,
			y = 354,
		},
	},
}
levelDesc.objects[35] = {
	__uid = 35,
	name = "tableH-2",
	objects = {
		{
			__obj = 1,
			__uid = 35,
			baseAnimation = "pashok",
			class = "Table",
			cleanAnimation = "clean_pickup",
			defaultEatingLoop = false,
			defaultSection = "boutique",
			dirtyPosition = { x=92, y=85, },
			entertainDirection = "up",
			entertainPosition = { x=943, y=582, },
			floaterPosition = { x=76, y=33, },
			floor = -93,
			hintArrowPosition = { x=84, y=85, },
			hintDialogPosition = { x=79, y=86, },
			introductionTextId = "NEW_NEW",
			name = "tableH-2",
			noPlates = true,
			overheadPosition = { x=82, y=29, },
			place = "dessroom",
			roundPos = true,
			statusObject1 = "pashok_curtain1",
			statusObject2 = "tableH-2_dirty",
			workDirection = "up",
			workPos = { x=686, y=577, },
			x = 642,
			y = 189,
		},
	},
}
levelDesc.objects[36] = {
	__uid = 36,
	name = "tableG-4",
	objects = {
		{
			__obj = 1,
			__uid = 36,
			baseAnimation = "pashok-big",
			class = "Table",
			cleanAnimation = "clean_pickup",
			defaultEatingLoop = false,
			defaultSection = "boutique",
			defaultShow = false,
			dirtyPosition = { x=151, y=96, },
			entertainDirection = "up",
			entertainPosition = { x=302, y=577, },
			floaterPosition = { x=163, y=66, },
			floor = -81,
			hintArrowPosition = { x=151, y=92, },
			hintDialogPosition = { x=232, y=73, },
			name = "tableG-4",
			noPlates = true,
			overheadPosition = { x=207, y=107, },
			place = "dessroom",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			statusObject1 = "pashok_big_curtain",
			statusObject2 = "tableG-4_dirty",
			workDirection = "up",
			workPos = { x=249, y=583, },
			x = 1,
			y = 172,
		},
	},
}
levelDesc.objects[37] = {
	__uid = 37,
	name = "tableI-2",
	objects = {
		{
			__obj = 1,
			__uid = 37,
			baseAnimation = "pashok-left",
			class = "Table",
			cleanAnimation = "clean_pickup",
			defaultEatingLoop = false,
			defaultSection = "boutique",
			dirtyPosition = { x=107, y=71, },
			entertainDirection = "up",
			entertainPosition = { x=534, y=583, },
			floaterPosition = { x=97, y=43, },
			floor = -92,
			hintArrowPosition = { x=103, y=77, },
			hintDialogPosition = { x=100, y=88, },
			introductionTextId = "NEW_NEW",
			name = "tableI-2",
			noPlates = true,
			overheadPosition = { x=103, y=47, },
			place = "dessroom",
			roundPos = true,
			statusObject1 = "pashok_curtain2",
			statusObject2 = "tableI-2_dirty",
			workDirection = "up",
			workPos = { x=569, y=585, },
			x = 445,
			y = 189,
		},
	},
}
levelDesc.objects[38] = {
	__uid = 38,
	name = "pashok_big_curtain",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 38,
			baseAnimation = "pashok-big-curtain",
			class = "StatusObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -10,
			name = "pashok_big_curtain",
			roundPos = true,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			startState = "tableEmpty",
			tableBusyDoAnimation = true,
			tableBusySound = "close_curtain:sound",
			tableDirtyAnimation = "open",
			tableDirtyDoAnimation = true,
			tableDirtySound = "open_curtain:sound",
			tableEmptyAnimation = "open",
			tableEmptyDoAnimation = true,
			upgradeGroup = "boutique_curtains",
			x = 26,
			y = 279,
		},
	},
}
levelDesc.objects[39] = {
	__uid = 39,
	name = "pashok_curtain2",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 39,
			activeDoAnimation = true,
			baseAnimation = "pashok-curtain",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = -10,
			introductionPos = { x=640, y=379, },
			name = "pashok_curtain2",
			roundPos = true,
			startState = "tableEmpty",
			tableBusyDoAnimation = true,
			tableBusySound = "close_curtain:sound",
			tableDirtyAnimation = "open",
			tableDirtyDoAnimation = true,
			tableDirtySound = "open_curtain:sound",
			tableEmptyAnimation = "open",
			tableEmptyDoAnimation = true,
			upgradeGroup = "boutique_curtains",
			x = 476,
			y = 287,
		},
	},
}
levelDesc.objects[40] = {
	__uid = 40,
	name = "pashok_curtain1",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 40,
			activeDoAnimation = true,
			baseAnimation = "pashok-curtain",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = -10,
			name = "pashok_curtain1",
			roundPos = true,
			shopBoughtTextId = "none",
			startState = "tableEmpty",
			tableBusyDoAnimation = true,
			tableBusySound = "close_curtain:sound",
			tableDirtyAnimation = "open",
			tableDirtyDoAnimation = true,
			tableDirtySound = "open_curtain:sound",
			tableEmptyAnimation = "open",
			tableEmptyDoAnimation = true,
			upgradeGroup = "boutique_curtains",
			x = 650,
			y = 287,
		},
	},
}
levelDesc.objects[41] = {
	__uid = 41,
	name = "mirror",
	objects = {
		{
			__obj = 1,
			__uid = 41,
			baseAnimation = "mirror",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = 8,
			name = "mirror",
			roundPos = true,
			x = 365,
			y = 143,
		},
	},
}
levelDesc.objects[42] = {
	__uid = 42,
	name = "lights1",
	objects = {
		{
			__obj = 1,
			__uid = 42,
			baseAnimation = "lamps",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = 303,
			name = "lights1",
			roundPos = true,
			x = 364,
			y = 0,
		},
	},
}
levelDesc.objects[43] = {
	__uid = 43,
	name = "makeup",
	objects = {
		{
			__obj = 1,
			__uid = 43,
			baseAnimation = "makeup",
			class = "SpriteExt",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -85,
			name = "makeup",
			roundPos = true,
			shadowFloorOffset = 360,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 776,
			y = 114,
		},
	},
}
levelDesc.objects[44] = {
	__uid = 44,
	name = "loveseat_plant",
	objects = {
		{
			__obj = 1,
			__uid = 44,
			baseAnimation = "loveseat_plant",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -137,
			name = "loveseat_plant",
			roundPos = true,
			shopBoughtTextId = "NEW_UPGRADE",
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_loveseatpillows",
			x = 984,
			y = 229,
		},
	},
}
levelDesc.objects[45] = {
	__uid = 45,
	name = "loveseat_pillows",
	objects = {
		{
			__obj = 1,
			__uid = 45,
			baseAnimation = "loveseat_pillows",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = 22,
			name = "loveseat_pillows",
			roundPos = true,
			shopBoughtTextId = "NEW_UPGRADE",
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_loveseatpillows",
			x = 1162,
			y = 402,
		},
	},
}
levelDesc.objects[46] = {
	__uid = 46,
	name = "lights2",
	objects = {
		{
			__obj = 1,
			__uid = 46,
			baseAnimation = "lamps",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = 303,
			name = "lights2",
			roundPos = true,
			x = 848,
			y = 0,
		},
	},
}
levelDesc.objects[47] = {
	__uid = 47,
	name = "doll_left",
	objects = {
		{
			__obj = 1,
			__uid = 47,
			baseAnimation = "doll-left",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -38,
			name = "doll_left",
			roundPos = true,
			shadowFloorOffset = 319,
			x = 1432,
			y = 153,
		},
	},
}
levelDesc.objects[48] = {
	__uid = 48,
	name = "doll_right",
	objects = {
		{
			__obj = 1,
			__uid = 48,
			baseAnimation = "doll-right",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -155,
			name = "doll_right",
			roundPos = true,
			shadowFloorOffset = 230,
			x = 1748,
			y = 241,
		},
	},
}
levelDesc.objects[49] = {
	__uid = 49,
	name = "plateau",
	objects = {
		{
			__obj = 1,
			__uid = 49,
			baseAnimation = "plateau",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -431,
			name = "plateau",
			roundPos = true,
			x = 0,
			y = 470,
		},
	},
}
levelDesc.objects[50] = {
	__uid = 50,
	name = "shoestand",
	objects = {
		{
			__obj = 1,
			__uid = 50,
			baseAnimation = "shoestand",
			class = "Object",
			defaultSection = "boutique",
			floor = -155,
			name = "shoestand",
			obstructs = {
				{ x=4, y=7, },
				{ x=5, y=7, },
				{ x=6, y=7, },
				{ x=7, y=7, },
				{ x=8, y=7, },
				{ x=9, y=7, },
				{ x=10, y=7, },
				{ x=11, y=7, },
				{ x=12, y=7, },
				{ x=13, y=7, },
				{ x=14, y=7, },
				{ x=15, y=7, },
				{ x=7, y=8, },
				{ x=7, y=9, },
				{ x=7, y=10, },
				{ x=7, y=11, },
				{ x=7, y=12, },
				{ x=6, y=12, },
				{ x=5, y=12, },
				{ x=4, y=12, },
				{ x=7, y=13, },
				{ x=7, y=14, },
				{ x=7, y=15, },
				{ x=7, y=16, },
				{ x=7, y=17, },
				{ x=7, y=18, },
				{ x=7, y=19, },
				{ x=7, y=20, },
				{ x=7, y=21, },
				{ x=7, y=22, },
				{ x=6, y=22, },
				{ x=5, y=22, },
				{ x=8, y=22, },
				{ x=9, y=22, },
				{ x=10, y=22, },
				{ x=11, y=22, },
				{ x=12, y=22, },
				{ x=13, y=22, },
				{ x=14, y=22, },
				{ x=15, y=22, },
				{ x=13, y=8, },
				{ x=13, y=9, },
				{ x=13, y=10, },
				{ x=13, y=11, },
				{ x=13, y=12, },
				{ x=13, y=13, },
				{ x=13, y=14, },
				{ x=13, y=15, },
				{ x=13, y=16, },
				{ x=13, y=17, },
				{ x=13, y=18, },
				{ x=13, y=19, },
				{ x=13, y=20, },
				{ x=13, y=21, },
				{ x=0, y=0, },
				{ x=8, y=6, },
				{ x=0, y=0, },
			},
			roundPos = true,
			shadowFloorOffset = 201,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 1145,
			y = 507,
		},
	},
}
levelDesc.objects[51] = {
	__uid = 51,
	name = "shoetable",
	objects = {
		{
			__obj = 1,
			__uid = 51,
			baseAnimation = "shoetable",
			class = "Object",
			defaultSection = "boutique",
			floor = -68,
			name = "shoetable",
			obstructs = {
				{ x=0, y=3, },
				{ x=1, y=3, },
				{ x=2, y=3, },
				{ x=3, y=2, },
				{ x=3, y=3, },
				{ x=4, y=3, },
				{ x=5, y=3, },
				{ x=6, y=3, },
				{ x=7, y=3, },
				{ x=8, y=3, },
				{ x=9, y=3, },
				{ x=10, y=3, },
				{ x=11, y=3, },
				{ x=12, y=3, },
				{ x=13, y=3, },
				{ x=15, y=3, },
				{ x=14, y=3, },
				{ x=16, y=3, },
				{ x=17, y=3, },
				{ x=18, y=3, },
				{ x=19, y=3, },
				{ x=20, y=3, },
				{ x=21, y=3, },
				{ x=22, y=3, },
				{ x=23, y=3, },
				{ x=23, y=2, },
				{ x=24, y=3, },
				{ x=25, y=3, },
				{ x=26, y=3, },
				{ x=27, y=3, },
				{ x=3, y=4, },
				{ x=3, y=5, },
				{ x=3, y=6, },
				{ x=0, y=7, },
				{ x=1, y=7, },
				{ x=2, y=7, },
				{ x=3, y=7, },
				{ x=3, y=8, },
				{ x=4, y=7, },
				{ x=5, y=7, },
				{ x=6, y=7, },
				{ x=7, y=7, },
				{ x=8, y=7, },
				{ x=9, y=7, },
				{ x=10, y=7, },
				{ x=11, y=7, },
				{ x=12, y=7, },
				{ x=13, y=7, },
				{ x=14, y=7, },
				{ x=15, y=7, },
				{ x=16, y=7, },
				{ x=17, y=7, },
				{ x=18, y=7, },
				{ x=19, y=7, },
				{ x=20, y=7, },
				{ x=21, y=7, },
				{ x=22, y=7, },
				{ x=23, y=7, },
				{ x=23, y=8, },
				{ x=24, y=7, },
				{ x=25, y=7, },
				{ x=26, y=7, },
				{ x=27, y=7, },
				{ x=23, y=4, },
				{ x=23, y=5, },
				{ x=23, y=6, },
			},
			roundPos = true,
			shadowFloorOffset = 108,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 741,
			y = 578,
		},
	},
}
levelDesc.objects[52] = {
	__uid = 52,
	name = "_reference_products",
	objects = {
		{
			__obj = 1,
			__uid = 52,
			baseAnimation = "boutique_products",
			class = "SpriteExt",
			defaultSection = "_reference",
			defaultShow = false,
			floor = 0,
			hideInEditor = true,
			initialVisible = false,
			name = "_reference_products",
			roundPos = true,
			x = 0,
			y = 0,
		},
	},
}
levelDesc.objects[53] = {
	__uid = 53,
	name = "perfume",
	objects = {
		{
			__obj = 1,
			__uid = 53,
			baseAnimation = "button#perfume",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 49,
			name = "perfume",
			showExceptions = {
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=850, y=560, },
			workSoundId = "grab_fondue_set:sound",
			x = 850,
			y = 376,
		},
	},
}
levelDesc.objects[54] = {
	__uid = 54,
	name = "nailpolish",
	objects = {
		{
			__obj = 1,
			__uid = 54,
			baseAnimation = "button#nailpolish",
			buttonToChange = "nailpolish_button",
			class = "Changer",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 51,
			name = "nailpolish",
			notifyObjectId = "nailpolish",
			nrOfTurnsAvailable = 2,
			prepareDuration = 0,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			stage1 = "button#nailpolish1",
			stage2 = "button#nailpolish2",
			stage3 = "button#nailpolish3",
			throwDuration = 0,
			workDirection = "up",
			workDuration = 200,
			workPos = { x=970, y=560, },
			x = 974,
			y = 371,
		},
	},
}
levelDesc.objects[55] = {
	__uid = 55,
	name = "lipstick",
	objects = {
		{
			__obj = 1,
			__uid = 55,
			baseAnimation = "button#lipstick",
			buttonToChange = "lipstick_button",
			class = "Changer",
			decayDelay = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 169,
			name = "lipstick",
			notifyObjectId = "lipstick",
			nrOfTurnsAvailable = 2,
			prepareDuration = 0,
			showExceptions = {
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			stage1 = "button#lipstick1",
			stage2 = "button#lipstick2",
			stage3 = "button#lipstick3",
			stage4 = "button#lipstick4",
			throwDuration = 0,
			workDirection = "up",
			workDuration = 200,
			workPos = { x=850, y=560, },
			x = 849,
			y = 257,
		},
	},
}
levelDesc.objects[56] = {
	__uid = 56,
	name = "eyeshadow",
	objects = {
		{
			__obj = 1,
			__uid = 56,
			baseAnimation = "button#eyeshadow",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 171,
			name = "eyeshadow",
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=970, y=560, },
			workSoundId = "grab_fondue_set:sound",
			x = 969,
			y = 251,
		},
	},
}
levelDesc.objects[57] = {
	__uid = 57,
	name = "sneaker",
	objects = {
		{
			__obj = 1,
			__uid = 57,
			baseAnimation = "button#sneaker",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 78,
			hintArrowPosition = { x=48, y=23, },
			name = "sneaker",
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workPos = { x=883, y=715, },
			x = 836,
			y = 511,
		},
	},
}
levelDesc.objects[58] = {
	__uid = 58,
	name = "sandal",
	objects = {
		{
			__obj = 1,
			__uid = 58,
			baseAnimation = "button#sandal",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 109,
			name = "sandal",
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "left",
			workDuration = 400,
			workPos = { x=1396, y=810, },
			workSoundId = "get_clothing:sound",
			x = 1259,
			y = 599,
		},
	},
}
levelDesc.objects[59] = {
	__uid = 59,
	name = "pump",
	objects = {
		{
			__obj = 1,
			__uid = 59,
			baseAnimation = "button#pump",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 198,
			name = "pump",
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "left",
			workDuration = 400,
			workPos = { x=1392, y=717, },
			workSoundId = "get_clothing:sound",
			x = 1266,
			y = 512,
		},
	},
}
levelDesc.objects[60] = {
	__uid = 60,
	name = "shoe",
	objects = {
		{
			__obj = 1,
			__uid = 60,
			baseAnimation = "button#shoe",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 76,
			hintArrowPosition = { x=57, y=44, },
			name = "shoe",
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workPos = { x=1011, y=709, },
			x = 953,
			y = 512,
		},
	},
}
levelDesc.objects[61] = {
	__uid = 61,
	name = "laces",
	objects = {
		{
			__obj = 1,
			__uid = 61,
			baseAnimation = "button#laces",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = -4,
			name = "laces",
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=960, y=763, },
			workSoundId = "shoe_laced:sound",
			x = 907,
			y = 636,
		},
	},
}
levelDesc.objects[62] = {
	__uid = 62,
	name = "tea",
	objects = {
		{
			__obj = 1,
			__uid = 62,
			baseAnimation = "button#tea",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 102,
			name = "tea",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			workDirection = "down",
			workDuration = 400,
			workPos = { x=843, y=1378, },
			x = 788,
			y = 1195,
		},
	},
}
levelDesc.objects[63] = {
	__uid = 63,
	name = "water",
	objects = {
		{
			__obj = 1,
			__uid = 63,
			baseAnimation = "button#water",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 91,
			maxStock = 3,
			name = "water",
			removeTrayHandler = "water",
			stock = 3,
			stockPos = { x=92, y=92, },
			triggerPrefix = "water",
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_bonusitem1",
			workDirection = "down",
			workDuration = 400,
			workPos = { x=962, y=1378, },
			workSoundId = "grab_plastic_water_bottle:sound",
			x = 904,
			y = 1207,
		},
	},
}
levelDesc.objects[69] = {
	__uid = 69,
	name = "tableG-4_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 69,
			baseAnimation = "stool",
			characterPos = { x=267, y=565, },
			class = "Chair",
			defaultSection = "boutique",
			defaultShow = false,
			direction = "left",
			doTopPartSplit = false,
			floor = -40,
			insideAppearance = "wait",
			name = "tableG-4_chair2",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workPos = { x=282, y=582, },
			x = 228,
			y = 475,
		},
	},
}
levelDesc.objects[70] = {
	__uid = 70,
	name = "tableG-4_chair3",
	objects = {
		{
			__obj = 1,
			__uid = 70,
			baseAnimation = "stool",
			characterPos = { x=82, y=565, },
			class = "Chair",
			defaultSection = "boutique",
			defaultShow = false,
			doTopPartSplit = false,
			floor = -40,
			insideAppearance = "wait",
			name = "tableG-4_chair3",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workPos = { x=104, y=568, },
			x = -43,
			y = 475,
		},
	},
}
levelDesc.objects[71] = {
	__uid = 71,
	name = "tableG-4_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 71,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=87, y=520, },
			class = "Chair",
			defaultSection = "icons",
			defaultShow = false,
			doTopPartSplit = false,
			floor = 552,
			insideAppearance = "pashok",
			name = "tableG-4_chair1",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workPos = { x=76, y=502, },
			x = 62,
			y = -72,
		},
	},
}
levelDesc.objects[72] = {
	__uid = 72,
	name = "tableG-4_chair4",
	objects = {
		{
			__obj = 1,
			__uid = 72,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=229, y=520, },
			class = "Chair",
			defaultSection = "icons",
			defaultShow = false,
			direction = "left",
			doTopPartSplit = false,
			floor = 552,
			insideAppearance = "pashok",
			name = "tableG-4_chair4",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workPos = { x=249, y=512, },
			x = 196,
			y = -72,
		},
	},
}
levelDesc.objects[73] = {
	__uid = 73,
	name = "tableH-2_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 73,
			baseAnimation = "stool",
			characterPos = { x=743, y=565, },
			class = "Chair",
			defaultSection = "boutique",
			direction = "left",
			doTopPartSplit = false,
			floor = -40,
			insideAppearance = "wait",
			name = "tableH-2_chair2",
			roundPos = true,
			workPos = { x=755, y=591, },
			x = 706,
			y = 475,
		},
	},
}
levelDesc.objects[74] = {
	__uid = 74,
	name = "tableH-2_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 74,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=730, y=520, },
			class = "Chair",
			defaultSection = "icons",
			direction = "left",
			doTopPartSplit = false,
			floor = 552,
			insideAppearance = "pashok",
			name = "tableH-2_chair1",
			roundPos = true,
			workPos = { x=732, y=532, },
			x = 700,
			y = -72,
		},
	},
}
levelDesc.objects[75] = {
	__uid = 75,
	name = "tableI-2_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 75,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=537, y=520, },
			class = "Chair",
			defaultSection = "icons",
			direction = "left",
			doTopPartSplit = false,
			floor = 552,
			insideAppearance = "pashok",
			name = "tableI-2_chair1",
			roundPos = true,
			workPos = { x=539, y=531, },
			x = 524,
			y = -72,
		},
	},
}
levelDesc.objects[76] = {
	__uid = 76,
	name = "tableI-2_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 76,
			baseAnimation = "stool",
			characterPos = { x=520, y=565, },
			class = "Chair",
			defaultSection = "boutique",
			doTopPartSplit = false,
			floor = -40,
			insideAppearance = "wait",
			name = "tableI-2_chair2",
			roundPos = true,
			workPos = { x=512, y=587, },
			x = 399,
			y = 475,
		},
	},
}
levelDesc.objects[77] = {
	__uid = 77,
	name = "bead1",
	objects = {
		{
			__obj = 1,
			__uid = 77,
			baseAnimation = "button#bead1",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 103,
			name = "bead1",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
				"boutique_7",
			},
			workDirection = "down",
			workDuration = 200,
			workPos = { x=1410, y=1333, },
			workSoundId = "grab_key:sound",
			x = 1350,
			y = 1223,
		},
	},
}
levelDesc.objects[78] = {
	__uid = 78,
	name = "bead2",
	objects = {
		{
			__obj = 1,
			__uid = 78,
			baseAnimation = "button#bead2",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 103,
			name = "bead2",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			workDirection = "down",
			workDuration = 200,
			workPos = { x=1515, y=1333, },
			workSoundId = "grab_key:sound",
			x = 1458,
			y = 1223,
		},
	},
}
levelDesc.objects[79] = {
	__uid = 79,
	name = "bead3",
	objects = {
		{
			__obj = 1,
			__uid = 79,
			baseAnimation = "button#bead3",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 103,
			name = "bead3",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
			},
			workDirection = "down",
			workDuration = 200,
			workPos = { x=1630, y=1333, },
			workSoundId = "grab_key:sound",
			x = 1571,
			y = 1222,
		},
	},
}
levelDesc.objects[80] = {
	__uid = 80,
	name = "ring",
	objects = {
		{
			__obj = 1,
			__uid = 80,
			baseAnimation = "button#ring",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 105,
			name = "ring",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			workDirection = "right",
			workDuration = 400,
			workPos = { x=1760, y=1255, },
			workSoundId = "grab_key:sound",
			x = 1796,
			y = 1103,
		},
	},
}
levelDesc.objects[81] = {
	__uid = 81,
	name = "necklace",
	objects = {
		{
			__obj = 1,
			__uid = 81,
			baseAnimation = "button#necklace",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 227,
			name = "necklace",
			workDirection = "right",
			workDuration = 400,
			workPos = { x=1760, y=1192, },
			workSoundId = "grab_key:sound",
			x = 1785,
			y = 978,
		},
	},
}
levelDesc.objects[82] = {
	__uid = 82,
	name = "watch",
	objects = {
		{
			__obj = 1,
			__uid = 82,
			baseAnimation = "button#watch",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 88,
			name = "watch",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1700, y=1192, },
			workSoundId = "watch:sound",
			x = 1671,
			y = 960,
		},
	},
}
levelDesc.objects[83] = {
	__uid = 83,
	name = "earrings",
	objects = {
		{
			__obj = 1,
			__uid = 83,
			baseAnimation = "button#earrings",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 88,
			name = "earrings",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1665, y=1192, },
			workSoundId = "grab_key:sound",
			x = 1576,
			y = 960,
		},
	},
}
levelDesc.objects[84] = {
	__uid = 84,
	name = "toppurple",
	objects = {
		{
			__obj = 1,
			__uid = 84,
			baseAnimation = "button#toppurple",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 166,
			name = "toppurple",
			showExceptions = {
				"boutique_10",
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1515, y=519, },
			workSoundId = "get_clothing:sound",
			x = 1463,
			y = 221,
		},
	},
}
levelDesc.objects[85] = {
	__uid = 85,
	name = "denimskirt",
	objects = {
		{
			__obj = 1,
			__uid = 85,
			baseAnimation = "button#denimskirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 56,
			name = "denimskirt",
			showExceptions = {
				"boutique_10",
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1515, y=559, },
			workSoundId = "get_clothing:sound",
			x = 1463,
			y = 334,
		},
	},
}
levelDesc.objects[86] = {
	__uid = 86,
	name = "sleeveless",
	objects = {
		{
			__obj = 1,
			__uid = 86,
			baseAnimation = "button#sleeveless",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 162,
			name = "sleeveless",
			showExceptions = {
				"boutique_10",
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1990, y=614, },
			workSoundId = "get_clothing:sound",
			x = 1926,
			y = 326,
		},
	},
}
levelDesc.objects[87] = {
	__uid = 87,
	name = "pants",
	objects = {
		{
			__obj = 1,
			__uid = 87,
			baseAnimation = "button#pants",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 47,
			name = "pants",
			showExceptions = {
				"boutique_10",
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1990, y=654, },
			workSoundId = "zipper:sound",
			x = 1926,
			y = 440,
		},
	},
}
levelDesc.objects[88] = {
	__uid = 88,
	name = "coffee",
	objects = {
		{
			__obj = 1,
			__uid = 88,
			activateOnBecomeAvailable = true,
			baseAnimation = "button#coffee",
			class = "TapButton",
			deactivateOnWorkFinish = true,
			decayVisible = false,
			defaultSection = "boutique_icons",
			floor = 97,
			name = "coffee",
			noCompound = true,
			notifyObjectId = "coffeemachine",
			prepareVisible = false,
			showExceptions = {
				"boutique_1",
			},
			workDirection = "up",
			workPos = { x=634, y=1220, },
			x = 508,
			y = 982,
		},
	},
}
levelDesc.objects[89] = {
	__uid = 89,
	name = "top",
	objects = {
		{
			__obj = 1,
			__uid = 89,
			baseAnimation = "button#top",
			class = "MultiTargetButton",
			defaultSection = "boutique_icons",
			floor = 182,
			name = "top",
			noCompound = true,
			notifyObject1_1 = "rack_stock9",
			notifyObject2_1 = "rack_stock10",
			notifyObject3_1 = "rack_stock11",
			notifyObject4_1 = "rack_stock12",
			notifySource1 = "cloth1",
			notifySource2 = "cloth2",
			notifySource3 = "cloth3",
			notifySource4 = "cloth4",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workDuration = 1500,
			workPos = { x=367, y=1144, },
			workSoundId = "sewing_machine:sound",
			worth = 2,
			x = 266,
			y = 1201,
		},
	},
}
levelDesc.objects[90] = {
	__uid = 90,
	name = "shirt",
	objects = {
		{
			__obj = 1,
			__uid = 90,
			baseAnimation = "button#shirt",
			class = "MultiTargetButton",
			defaultSection = "boutique_icons",
			floor = 182,
			name = "shirt",
			noCompound = true,
			notifyObject1_1 = "rack_stock1",
			notifyObject2_1 = "rack_stock2",
			notifyObject3_1 = "rack_stock3",
			notifyObject4_1 = "rack_stock4",
			notifySource1 = "cloth1",
			notifySource2 = "cloth2",
			notifySource3 = "cloth3",
			notifySource4 = "cloth4",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workDuration = 1500,
			workPos = { x=367, y=1144, },
			workSoundId = "sewing_machine:sound",
			worth = 2,
			x = 21,
			y = 1201,
		},
	},
}
levelDesc.objects[92] = {
	__uid = 92,
	name = "cloth1",
	objects = {
		{
			__obj = 1,
			__uid = 92,
			baseAnimation = "button#cloth1",
			class = "IngredientButton",
			compoundPosition = { x=363, y=966, },
			compoundTipType = "longPoint",
			defaultSection = "boutique_icons",
			floor = 157,
			name = "cloth1",
			notifyObjectId = "rack",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workPos = { x=142, y=1158, },
			workSoundId = "get_clothing:sound",
			x = 18,
			y = 847,
		},
	},
}
levelDesc.objects[93] = {
	__uid = 93,
	name = "skirt",
	objects = {
		{
			__obj = 1,
			__uid = 93,
			baseAnimation = "button#skirt",
			class = "MultiTargetButton",
			defaultSection = "boutique_icons",
			floor = 182,
			name = "skirt",
			noCompound = true,
			notifyObject1_1 = "rack_stock5",
			notifyObject2_1 = "rack_stock6",
			notifyObject3_1 = "rack_stock7",
			notifyObject4_1 = "rack_stock8",
			notifySource1 = "cloth1",
			notifySource2 = "cloth2",
			notifySource3 = "cloth3",
			notifySource4 = "cloth4",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workDuration = 1500,
			workPos = { x=367, y=1144, },
			workSoundId = "sewing_machine:sound",
			worth = 2,
			x = 141,
			y = 1201,
		},
	},
}
levelDesc.objects[94] = {
	__uid = 94,
	name = "cloth2",
	objects = {
		{
			__obj = 1,
			__uid = 94,
			baseAnimation = "button#cloth2",
			class = "IngredientButton",
			compoundPosition = { x=363, y=966, },
			compoundTipType = "longPoint",
			defaultSection = "boutique_icons",
			floor = 157,
			name = "cloth2",
			notifyObjectId = "rack",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workPos = { x=142, y=1158, },
			workSoundId = "get_clothing:sound",
			x = 144,
			y = 844,
		},
	},
}
levelDesc.objects[95] = {
	__uid = 95,
	name = "cloth3",
	objects = {
		{
			__obj = 1,
			__uid = 95,
			baseAnimation = "button#cloth3",
			class = "IngredientButton",
			compoundPosition = { x=363, y=966, },
			compoundTipType = "longPoint",
			defaultSection = "boutique_icons",
			floor = 19,
			name = "cloth3",
			notifyObjectId = "rack",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workPos = { x=142, y=1158, },
			workSoundId = "get_clothing:sound",
			x = 29,
			y = 976,
		},
	},
}
levelDesc.objects[96] = {
	__uid = 96,
	name = "cloth4",
	objects = {
		{
			__obj = 1,
			__uid = 96,
			baseAnimation = "button#cloth4",
			class = "IngredientButton",
			compoundPosition = { x=363, y=966, },
			compoundTipType = "longPoint",
			defaultSection = "boutique_icons",
			floor = 19,
			name = "cloth4",
			notifyObjectId = "rack",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			workCharacter = "freddy",
			workDirection = "up",
			workPos = { x=142, y=1158, },
			workSoundId = "get_clothing:sound",
			x = 149,
			y = 976,
		},
	},
}
levelDesc.objects[99] = {
	__uid = 99,
	name = "bg4",
	objects = {
		{
			__obj = 1,
			__uid = 99,
			baseAnimation = "deck_stairs_cover",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -105,
			name = "bg4",
			roundPos = true,
			x = 1178,
			y = 194,
		},
	},
}
levelDesc.objects[100] = {
	__uid = 100,
	name = "rack_stock1",
	objects = {
		{
			__obj = 1,
			__uid = 100,
			baseAnimation = "button#cloth1-shirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 19,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock1",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			statusObject1 = "label1",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1533, y=692, },
			workSoundId = "get_clothing:sound",
			x = 1476,
			y = 535,
		},
	},
}
levelDesc.objects[101] = {
	__uid = 101,
	name = "rack_stock2",
	objects = {
		{
			__obj = 1,
			__uid = 101,
			baseAnimation = "button#cloth2-shirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 19,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock2",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			statusObject1 = "label2",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1659, y=692, },
			workSoundId = "get_clothing:sound",
			x = 1598,
			y = 535,
		},
	},
}
levelDesc.objects[102] = {
	__uid = 102,
	name = "rack_stock3",
	objects = {
		{
			__obj = 1,
			__uid = 102,
			baseAnimation = "button#cloth3-shirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 19,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock3",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
			},
			statusObject1 = "label3",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1789, y=700, },
			workSoundId = "get_clothing:sound",
			x = 1726,
			y = 543,
		},
	},
}
levelDesc.objects[103] = {
	__uid = 103,
	name = "rack_stock4",
	objects = {
		{
			__obj = 1,
			__uid = 103,
			baseAnimation = "button#cloth4-shirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 19,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock4",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			statusObject1 = "label4",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1903, y=692, },
			workSoundId = "get_clothing:sound",
			x = 1837,
			y = 535,
		},
	},
}
levelDesc.objects[104] = {
	__uid = 104,
	name = "rack_stock5",
	objects = {
		{
			__obj = 1,
			__uid = 104,
			baseAnimation = "button#cloth1-skirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 11,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock5",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			statusObject1 = "label5",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1589, y=821, },
			workSoundId = "get_clothing:sound",
			x = 1533,
			y = 671,
		},
	},
}
levelDesc.objects[105] = {
	__uid = 105,
	name = "rack_stock6",
	objects = {
		{
			__obj = 1,
			__uid = 105,
			baseAnimation = "button#cloth2-skirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 11,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock6",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			statusObject1 = "label6",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1717, y=821, },
			workSoundId = "get_clothing:sound",
			x = 1662,
			y = 671,
		},
	},
}
levelDesc.objects[106] = {
	__uid = 106,
	name = "rack_stock7",
	objects = {
		{
			__obj = 1,
			__uid = 106,
			baseAnimation = "button#cloth3-skirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 11,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock7",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
			},
			statusObject1 = "label7",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1838, y=821, },
			workSoundId = "get_clothing:sound",
			x = 1783,
			y = 671,
		},
	},
}
levelDesc.objects[107] = {
	__uid = 107,
	name = "rack_stock8",
	objects = {
		{
			__obj = 1,
			__uid = 107,
			baseAnimation = "button#cloth4-skirt",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 11,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock8",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			statusObject1 = "label8",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1962, y=821, },
			workSoundId = "get_clothing:sound",
			x = 1904,
			y = 671,
		},
	},
}
levelDesc.objects[113] = {
	__uid = 113,
	name = "coffee_done",
	objects = {
		{
			__obj = 1,
			__uid = 113,
			additionalClick1 = "coffee_timer",
			almostDecayHintId = "CoffeeSpill",
			availableSound = "coffee_machine_ready:sound",
			baseAnimation = "button#coffee.ready",
			class = "IngredientButton",
			deactivateOnWorkCancel = true,
			deactivateOnWorkFinish = true,
			decayDelay = 3000,
			decaySound = "coffee_machine_spilled:sound",
			defaultSection = "boutique_icons",
			firstUseHintId = "CoffeeFirst",
			floor = 97,
			introductionTextId = "none",
			name = "coffee_done",
			prepareDuration = 800,
			prepareSound = "coffee_machine_on:sound",
			showExceptions = {
				"boutique_1",
			},
			statusObject1 = "coffee_pointer",
			statusObject2 = "coffee_timer",
			statusObject3 = "coffee",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=635, y=1218, },
			x = 508,
			y = 982,
		},
	},
}
levelDesc.objects[114] = {
	__uid = 114,
	name = "coffee_timer",
	objects = {
		{
			__obj = 1,
			__uid = 114,
			anchor = "center",
			baseAnimation = "timer_big",
			class = "StatusObject",
			decayFrame = 0,
			defaultSection = "icons",
			floor = 265,
			inactiveAlpha = 0,
			inactiveFrame = 0,
			inactiveVisible = false,
			name = "coffee_timer",
			prepareFrame = 0,
			reactToProductState = true,
			readyFrame = 1,
			roundPos = true,
			x = 578,
			y = 840,
		},
	},
}
levelDesc.objects[115] = {
	__uid = 115,
	name = "coffee_pointer",
	objects = {
		{
			__obj = 1,
			__uid = 115,
			anchor = "center",
			baseAnimation = "timer_pointer_big",
			class = "CookerTimer",
			defaultSection = "icons",
			floor = 265,
			inactiveAlpha = 0,
			inactiveFadeTime = 300,
			inactiveVisible = false,
			name = "coffee_pointer",
			pivot = "center",
			prepareFadeTime = 200,
			reactToProductState = true,
			x = 578,
			y = 840,
		},
	},
}
levelDesc.objects[116] = {
	__uid = 116,
	name = "tableE-4_chair2",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 116,
			baseAnimation = "chair_left",
			characterPos = { x=178, y=680, },
			class = "Chair",
			defaultSection = "boutique",
			floor = -75,
			name = "tableE-4_chair2",
			platePosition = { x=204, y=90, },
			roundPos = true,
			shadowFloorOffset = 122,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			upgradeGroup = "boutique_tables",
			workPos = { x=142, y=608, },
			x = 14,
			y = 525,
		},
	},
}
levelDesc.objects[117] = {
	__uid = 117,
	name = "tableE-4_chair1",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 117,
			baseAnimation = "chair_right",
			characterPos = { x=344, y=690, },
			class = "Chair",
			defaultSection = "boutique",
			direction = "left",
			floor = -81,
			name = "tableE-4_chair1",
			platePosition = { x=44, y=81, },
			roundPos = true,
			shadowFloorOffset = 122,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			upgradeGroup = "boutique_tables",
			workPos = { x=379, y=626, },
			x = 254,
			y = 525,
		},
	},
}
levelDesc.objects[118] = {
	__uid = 118,
	name = "tableE-4",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 118,
			baseAnimation = "table_4",
			class = "Table",
			defaultEatingLoop = false,
			defaultSection = "boutique",
			dirtyPosition = { x=119, y=105, },
			entertainDirection = "up",
			entertainPosition = { x=213, y=806, },
			floor = -120,
			hintArrowPosition = { x=115, y=178, },
			hintDialogPosition = { x=114, y=142, },
			introductionPos = { x=263, y=629, },
			introductionTextId = "BIGGER_TABLE",
			name = "tableE-4",
			noPlates = true,
			obstructs = {
				{ x=4, y=19, },
				{ x=4, y=18, },
				{ x=4, y=17, },
				{ x=10, y=19, },
				{ x=10, y=18, },
				{ x=9, y=17, },
				{ x=4, y=16, },
				{ x=5, y=16, },
				{ x=6, y=16, },
				{ x=7, y=16, },
				{ x=8, y=16, },
				{ x=9, y=16, },
				{ x=10, y=16, },
				{ x=11, y=16, },
				{ x=3, y=16, },
				{ x=2, y=16, },
				{ x=12, y=16, },
				{ x=4, y=10, },
				{ x=5, y=10, },
				{ x=5, y=10, },
				{ x=6, y=10, },
				{ x=7, y=10, },
				{ x=8, y=10, },
				{ x=9, y=10, },
				{ x=10, y=10, },
				{ x=11, y=10, },
				{ x=12, y=10, },
				{ x=3, y=10, },
				{ x=2, y=10, },
				{ x=7, y=11, },
				{ x=7, y=12, },
				{ x=7, y=13, },
				{ x=7, y=14, },
				{ x=1, y=10, },
				{ x=0, y=10, },
				{ x=-1, y=10, },
				{ x=-2, y=10, },
				{ x=-3, y=10, },
				{ x=-4, y=10, },
				{ x=13, y=10, },
				{ x=14, y=11, },
				{ x=15, y=10, },
				{ x=16, y=10, },
				{ x=17, y=10, },
				{ x=18, y=10, },
				{ x=19, y=10, },
				{ x=13, y=16, },
				{ x=14, y=16, },
				{ x=15, y=16, },
				{ x=16, y=16, },
				{ x=17, y=16, },
				{ x=18, y=16, },
				{ x=1, y=16, },
				{ x=0, y=16, },
				{ x=-1, y=16, },
				{ x=-2, y=16, },
				{ x=-3, y=16, },
				{ x=7, y=15, },
				{ x=-4, y=16, },
			},
			overheadPosition = { x=105, y=65, },
			place = "table",
			roundPos = true,
			shadowFloorOffset = 141,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			sparklePosition = { x=263, y=621, },
			statusObject1 = "tableE-4_dirty",
			upgradeGroup = "boutique_tables",
			workDirection = "up",
			workPos = { x=255, y=791, },
			x = 145,
			y = 479,
		},
	},
}
levelDesc.objects[119] = {
	__uid = 119,
	name = "tableE-4_chair4",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 119,
			baseAnimation = "chair_left",
			characterPos = { x=178, y=744, },
			class = "Chair",
			defaultSection = "boutique",
			floor = -110,
			name = "tableE-4_chair4",
			platePosition = { x=208, y=94, },
			roundPos = true,
			shadowFloorOffset = 122,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			upgradeGroup = "boutique_tables",
			workPos = { x=138, y=777, },
			x = 14,
			y = 590,
		},
	},
}
levelDesc.objects[120] = {
	__uid = 120,
	name = "tableE-4_chair3",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 120,
			baseAnimation = "chair_right",
			characterPos = { x=344, y=748, },
			class = "Chair",
			defaultSection = "boutique",
			direction = "left",
			floor = -110,
			name = "tableE-4_chair3",
			platePosition = { x=46, y=93, },
			roundPos = true,
			shadowFloorOffset = 122,
			shopBoughtTextId = "none",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			upgradeGroup = "boutique_tables",
			workPos = { x=382, y=777, },
			x = 254,
			y = 590,
		},
	},
}
levelDesc.objects[121] = {
	__uid = 121,
	name = "rug",
	objects = {
		{
			__obj = 1,
			__uid = 121,
			baseAnimation = "rug_upgrade",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -262,
			name = "rug",
			roundPos = true,
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_carpet",
			x = 653,
			y = 697,
		},
	},
}
levelDesc.objects[122] = {
	__uid = 122,
	name = "plateau_rug",
	objects = {
		{
			__obj = 1,
			__uid = 122,
			baseAnimation = "plateau_rug_upgrade",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -370,
			name = "plateau_rug",
			roundPos = true,
			shopBoughtTextId = "none",
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_railing",
			x = 3,
			y = 468,
		},
	},
}
levelDesc.objects[123] = {
	__uid = 123,
	name = "mirror1",
	objects = {
		{
			__obj = 1,
			__uid = 123,
			baseAnimation = "mirror",
			class = "SpriteExt",
			defaultSection = "boutique",
			name = "mirror1",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 839,
			y = 155,
		},
	},
}
levelDesc.objects[124] = {
	__uid = 124,
	name = "mirror2",
	objects = {
		{
			__obj = 1,
			__uid = 124,
			baseAnimation = "mirror",
			class = "SpriteExt",
			defaultSection = "boutique",
			name = "mirror2",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 969,
			y = 155,
		},
	},
}
levelDesc.objects[125] = {
	__uid = 125,
	name = "mirror3",
	objects = {
		{
			__obj = 1,
			__uid = 125,
			baseAnimation = "mirror",
			class = "SpriteExt",
			defaultSection = "boutique",
			name = "mirror3",
			roundPos = true,
			x = 314,
			y = 155,
		},
	},
}
levelDesc.objects[126] = {
	__uid = 126,
	name = "eddie",
	objects = {
		{
			__obj = 1,
			__uid = 126,
			anchor = "bottom",
			base = "jimmy",
			baseAnimation = "eddie",
			class = "CleanerEntertainerRestocker",
			defaultSection = "eddie",
			floor = -50,
			name = "eddie",
			waitPosition = { x=1240, y=1386, },
			x = 1236,
			y = 1424,
		},
	},
}
levelDesc.objects[127] = {
	__uid = 127,
	name = "kate",
	objects = {
		{
			__obj = 1,
			__uid = 127,
			anchor = "bottom",
			backToSpotDuration = 3500,
			base = "angela",
			baseAnimation = "kate",
			class = "StationaryCharacter",
			defaultSection = "kate",
			entertainCycles = 2,
			entertainSoundId = "kate_entertain:sound",
			floor = -50,
			helperType = "entertainer",
			hintArrowPosition = { x=-1, y=-242, },
			name = "kate",
			shopBoughtTextId = "NEW_ENTERTAINER",
			showExceptions = {
				"boutique_10",
			},
			upgradeGroup = "boutique_entertainer",
			waitPosition = { x=1047, y=248, },
			x = 1047,
			y = 248,
		},
		{
			__obj = 2,
			__uid = 127,
			anchor = "bottom",
			backToSpotDuration = 3500,
			base = "angela",
			baseAnimation = "kate",
			class = "CleanerEntertainerRestocker",
			defaultSection = "kate",
			entertainCycles = 2,
			entertainSoundId = "kate_entertain:sound",
			floor = -50,
			helperType = "entertainer",
			hintArrowPosition = { x=-1, y=-242, },
			name = "kate",
			shopBoughtTextId = "NEW_ENTERTAINER",
			showExceptions = {
				"boutique_10",
			},
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_entertainer",
			waitPosition = { x=697, y=1379, },
			x = 565,
			y = 1400,
		},
	},
}
levelDesc.objects[128] = {
	__uid = 128,
	name = "loveseat_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 128,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=1255, y=550, },
			class = "Chair",
			defaultSection = "icons",
			direction = "down",
			doTopPartSplit = false,
			floor = 571,
			moodIndicatorOffset = { x=30, y=-20, },
			name = "loveseat_chair2",
			roundPos = true,
			workPos = { x=1234, y=568, },
			x = 1222,
			y = -72,
		},
	},
}
levelDesc.objects[129] = {
	__uid = 129,
	name = "loveseat_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 129,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=1347, y=550, },
			class = "Chair",
			defaultSection = "icons",
			direction = "down",
			doTopPartSplit = false,
			floor = 570,
			moodIndicatorOffset = { x=50, y=-80, },
			name = "loveseat_chair1",
			roundPos = true,
			workPos = { x=1384, y=569, },
			x = 1328,
			y = -72,
		},
	},
}
levelDesc.objects[130] = {
	__uid = 130,
	name = "essence",
	objects = {
		{
			__obj = 1,
			__uid = 130,
			baseAnimation = "button#essence",
			class = "InstantIngredientButton",
			defaultSection = "boutique_icons",
			emitterName = "balloon_explode_win",
			fireToLevel = true,
			floor = 117,
			maxStock = 3,
			name = "essence",
			particleEffect = "effects:particles",
			particleOffset = { x=41, y=67, },
			shopBoughtTextId = "NEW_UPGRADE",
			stock = 3,
			stockPos = { x=74, y=83, },
			trigger = "essence_click",
			triggerPrefix = "essence",
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_bonusitem2",
			workDirection = "down",
			workDuration = 400,
			workPos = { x=1079, y=1363, },
			workSoundId = "perfume:sound",
			x = 1037,
			y = 1203,
		},
	},
}
levelDesc.objects[133] = {
	__uid = 133,
	name = "jewelry3",
	objects = {
		{
			__obj = 1,
			__uid = 133,
			baseAnimation = "jewelry-top",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -60,
			name = "jewelry3",
			roundPos = true,
			x = 1517,
			y = 969,
		},
	},
}
levelDesc.objects[135] = {
	__uid = 135,
	name = "rack3",
	objects = {
		{
			__obj = 1,
			__uid = 135,
			baseAnimation = "rack",
			class = "Object",
			defaultSection = "boutique",
			floor = -103,
			name = "rack3",
			obstructs = {
				{ x=36, y=9, },
				{ x=35, y=9, },
				{ x=34, y=9, },
				{ x=33, y=9, },
				{ x=32, y=9, },
				{ x=31, y=9, },
				{ x=30, y=9, },
				{ x=29, y=9, },
				{ x=28, y=9, },
				{ x=27, y=9, },
				{ x=26, y=9, },
				{ x=25, y=9, },
				{ x=24, y=9, },
				{ x=23, y=9, },
				{ x=22, y=9, },
				{ x=21, y=9, },
				{ x=20, y=9, },
				{ x=19, y=9, },
				{ x=18, y=9, },
				{ x=17, y=9, },
				{ x=16, y=9, },
				{ x=15, y=9, },
				{ x=14, y=9, },
				{ x=13, y=9, },
				{ x=12, y=9, },
				{ x=11, y=9, },
				{ x=10, y=9, },
				{ x=9, y=9, },
				{ x=8, y=9, },
				{ x=7, y=9, },
				{ x=7, y=9, },
				{ x=6, y=9, },
				{ x=5, y=9, },
				{ x=4, y=9, },
				{ x=4, y=10, },
				{ x=4, y=11, },
				{ x=4, y=12, },
				{ x=5, y=12, },
				{ x=6, y=12, },
				{ x=7, y=12, },
				{ x=8, y=12, },
				{ x=9, y=12, },
				{ x=10, y=12, },
				{ x=11, y=12, },
				{ x=12, y=12, },
				{ x=13, y=12, },
				{ x=14, y=12, },
				{ x=15, y=12, },
				{ x=16, y=12, },
				{ x=17, y=12, },
				{ x=18, y=12, },
				{ x=19, y=12, },
				{ x=20, y=12, },
				{ x=21, y=12, },
				{ x=22, y=12, },
				{ x=23, y=12, },
				{ x=24, y=12, },
				{ x=25, y=12, },
				{ x=26, y=12, },
				{ x=27, y=12, },
				{ x=28, y=12, },
				{ x=29, y=12, },
				{ x=30, y=12, },
				{ x=31, y=12, },
				{ x=32, y=12, },
				{ x=33, y=12, },
				{ x=34, y=12, },
				{ x=35, y=12, },
				{ x=36, y=12, },
				{ x=36, y=11, },
				{ x=36, y=10, },
				{ x=7, y=13, },
				{ x=7, y=14, },
				{ x=4, y=12, },
				{ x=3, y=12, },
				{ x=2, y=12, },
				{ x=1, y=12, },
				{ x=3, y=9, },
				{ x=2, y=9, },
				{ x=1, y=9, },
				{ x=4, y=8, },
				{ x=36, y=8, },
				{ x=37, y=9, },
				{ x=38, y=9, },
				{ x=39, y=9, },
				{ x=37, y=12, },
				{ x=38, y=12, },
				{ x=39, y=12, },
				{ x=34, y=13, },
				{ x=34, y=14, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			x = 1402,
			y = 747,
		},
	},
}
levelDesc.objects[136] = {
	__uid = 136,
	name = "rack_stock10",
	objects = {
		{
			__obj = 1,
			__uid = 136,
			baseAnimation = "button#cloth2-top",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 9,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock10",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			statusObject1 = "label10",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1671, y=950, },
			workSoundId = "get_clothing:sound",
			x = 1614,
			y = 800,
		},
	},
}
levelDesc.objects[137] = {
	__uid = 137,
	name = "rack_stock9",
	objects = {
		{
			__obj = 1,
			__uid = 137,
			baseAnimation = "button#cloth1-top",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 9,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock9",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			statusObject1 = "label9",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1537, y=950, },
			workSoundId = "get_clothing:sound",
			x = 1484,
			y = 800,
		},
	},
}
levelDesc.objects[138] = {
	__uid = 138,
	name = "rack_stock11",
	objects = {
		{
			__obj = 1,
			__uid = 138,
			baseAnimation = "button#cloth3-top",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 9,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock11",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			statusObject1 = "label11",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1788, y=950, },
			workSoundId = "get_clothing:sound",
			x = 1733,
			y = 800,
		},
	},
}
levelDesc.objects[139] = {
	__uid = 139,
	name = "rack_stock12",
	objects = {
		{
			__obj = 1,
			__uid = 139,
			baseAnimation = "button#cloth4-top",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 9,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			maxStock = 5,
			name = "rack_stock12",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			statusObject1 = "label12",
			stock = 1,
			stockPos = { x=87, y=14, },
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1912, y=950, },
			workSoundId = "get_clothing:sound",
			x = 1852,
			y = 800,
		},
	},
}
levelDesc.objects[152] = {
	__uid = 152,
	name = "label1",
	objects = {
		{
			__obj = 1,
			__uid = 152,
			baseAnimation = "label-shirt1",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 21,
			maxStockVisible = false,
			name = "label1",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1468,
			y = 531,
		},
	},
}
levelDesc.objects[153] = {
	__uid = 153,
	name = "label3",
	objects = {
		{
			__obj = 1,
			__uid = 153,
			baseAnimation = "label-shirt3",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 17,
			maxStockVisible = false,
			name = "label3",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1727,
			y = 531,
		},
	},
}
levelDesc.objects[154] = {
	__uid = 154,
	name = "label2",
	objects = {
		{
			__obj = 1,
			__uid = 154,
			baseAnimation = "label-shirt2",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 14,
			maxStockVisible = false,
			name = "label2",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1603,
			y = 538,
		},
	},
}
levelDesc.objects[155] = {
	__uid = 155,
	name = "label4",
	objects = {
		{
			__obj = 1,
			__uid = 155,
			baseAnimation = "label-shirt4",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 8,
			maxStockVisible = false,
			name = "label4",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1835,
			y = 543,
		},
	},
}
levelDesc.objects[156] = {
	__uid = 156,
	name = "label5",
	objects = {
		{
			__obj = 1,
			__uid = 156,
			baseAnimation = "label-skirt1",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 24,
			maxStockVisible = false,
			name = "label5",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1537,
			y = 656,
		},
	},
}
levelDesc.objects[157] = {
	__uid = 157,
	name = "label7",
	objects = {
		{
			__obj = 1,
			__uid = 157,
			baseAnimation = "label-skirt3",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 19,
			maxStockVisible = false,
			name = "label7",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1791,
			y = 661,
		},
	},
}
levelDesc.objects[158] = {
	__uid = 158,
	name = "label6",
	objects = {
		{
			__obj = 1,
			__uid = 158,
			baseAnimation = "label-skirt2",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 14,
			maxStockVisible = false,
			name = "label6",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1675,
			y = 666,
		},
	},
}
levelDesc.objects[159] = {
	__uid = 159,
	name = "label8",
	objects = {
		{
			__obj = 1,
			__uid = 159,
			baseAnimation = "label-skirt4",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 9,
			maxStockVisible = false,
			name = "label8",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1908,
			y = 671,
		},
	},
}
levelDesc.objects[160] = {
	__uid = 160,
	name = "label9",
	objects = {
		{
			__obj = 1,
			__uid = 160,
			baseAnimation = "label-top1",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 16,
			maxStockVisible = false,
			name = "label9",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1490,
			y = 791,
		},
	},
}
levelDesc.objects[161] = {
	__uid = 161,
	name = "label11",
	objects = {
		{
			__obj = 1,
			__uid = 161,
			baseAnimation = "label-top3",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 20,
			maxStockVisible = false,
			name = "label11",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1733,
			y = 787,
		},
	},
}
levelDesc.objects[162] = {
	__uid = 162,
	name = "label10",
	objects = {
		{
			__obj = 1,
			__uid = 162,
			baseAnimation = "label-top2",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 17,
			maxStockVisible = false,
			name = "label10",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1617,
			y = 790,
		},
	},
}
levelDesc.objects[163] = {
	__uid = 163,
	name = "label12",
	objects = {
		{
			__obj = 1,
			__uid = 163,
			baseAnimation = "label-top4",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 11,
			maxStockVisible = false,
			name = "label12",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
			},
			startState = "stockEmpty",
			stockedVisible = false,
			x = 1850,
			y = 796,
		},
	},
}
levelDesc.objects[164] = {
	__uid = 164,
	name = "mirror4",
	objects = {
		{
			__obj = 1,
			__uid = 164,
			baseAnimation = "mirror",
			class = "SpriteExt",
			defaultSection = "boutique",
			name = "mirror4",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 166,
			y = 155,
		},
	},
}
levelDesc.objects[165] = {
	__uid = 165,
	name = "mirror5",
	objects = {
		{
			__obj = 1,
			__uid = 165,
			baseAnimation = "mirror",
			class = "SpriteExt",
			defaultSection = "boutique",
			name = "mirror5",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 20,
			y = 155,
		},
	},
}
levelDesc.objects[166] = {
	__uid = 166,
	name = "lipstick_timer",
	objects = {
		{
			__obj = 1,
			__uid = 166,
			anchor = "center",
			baseAnimation = "lipstick_timer",
			class = "ChangerWheel",
			decayAlpha = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 291,
			inactiveAlpha = 0,
			name = "lipstick_timer",
			prepareAlpha = 0,
			roundPos = true,
			showExceptions = {
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 841,
			y = 199,
		},
	},
}
levelDesc.objects[167] = {
	__uid = 167,
	name = "lipstick_timer_pointer",
	objects = {
		{
			__obj = 1,
			__uid = 167,
			anchor = "center",
			baseAnimation = "timer_pointer",
			class = "ChangerTimer",
			decayAlpha = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 292,
			inactiveAlpha = 0,
			name = "lipstick_timer_pointer",
			prepareAlpha = 0,
			showExceptions = {
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 841,
			y = 199,
		},
	},
}
levelDesc.objects[168] = {
	__uid = 168,
	name = "nailpolish_timer",
	objects = {
		{
			__obj = 1,
			__uid = 168,
			anchor = "center",
			baseAnimation = "nailpolish_timer",
			class = "ChangerWheel",
			decayAlpha = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 136,
			inactiveAlpha = 0,
			name = "nailpolish_timer",
			prepareAlpha = 0,
			roundPos = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 1107,
			y = 367,
		},
	},
}
levelDesc.objects[169] = {
	__uid = 169,
	name = "nailpolish_timer_pointer",
	objects = {
		{
			__obj = 1,
			__uid = 169,
			anchor = "center",
			baseAnimation = "timer_pointer",
			class = "ChangerTimer",
			decayAlpha = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 137,
			inactiveAlpha = 0,
			name = "nailpolish_timer_pointer",
			prepareAlpha = 0,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 1107,
			y = 367,
		},
	},
}
levelDesc.objects[172] = {
	__uid = 172,
	name = "nailpolish_button",
	objects = {
		{
			__obj = 1,
			__uid = 172,
			additionalClick1 = "nailpolish_timer",
			additionalClick2 = "nailpolish_timer_pointer",
			baseAnimation = "button#nailpolish1",
			blinkWhenAvailable = false,
			class = "IngredientButton",
			deactivateOnWorkFinish = true,
			decayDelay = 1500,
			decayDuration = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 51,
			introductionTextId = "none",
			name = "nailpolish_button",
			nrOfTurnsAvailable = 2,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			statusObject1 = "nailpolish",
			statusObject2 = "nailpolish_timer",
			statusObject3 = "nailpolish_timer_pointer",
			workDirection = "up",
			workDuration = 200,
			workPos = { x=970, y=560, },
			workSoundId = "grab_fondue_set:sound",
			x = 974,
			y = 371,
		},
	},
}
levelDesc.objects[173] = {
	__uid = 173,
	name = "lipstick_button",
	objects = {
		{
			__obj = 1,
			__uid = 173,
			additionalClick1 = "lipstick_timer",
			additionalClick2 = "lipstick_timer_pointer",
			baseAnimation = "button#lipstick1",
			blinkWhenAvailable = false,
			class = "IngredientButton",
			deactivateOnWorkFinish = true,
			decayDelay = 2000,
			decayDuration = 0,
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 169,
			introductionTextId = "none",
			name = "lipstick_button",
			nrOfTurnsAvailable = 2,
			showExceptions = {
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			statusObject1 = "lipstick",
			statusObject2 = "lipstick_timer",
			statusObject3 = "lipstick_timer_pointer",
			workDirection = "up",
			workDuration = 200,
			workPos = { x=850, y=560, },
			workSoundId = "grab_fondue_set:sound",
			x = 849,
			y = 257,
		},
	},
}
levelDesc.objects[177] = {
	__uid = 177,
	name = "bead4",
	objects = {
		{
			__obj = 1,
			__uid = 177,
			baseAnimation = "button#bead4",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 103,
			name = "bead4",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			workDirection = "down",
			workDuration = 200,
			workPos = { x=1740, y=1333, },
			workSoundId = "grab_key:sound",
			x = 1682,
			y = 1222,
		},
	},
}
levelDesc.objects[178] = {
	__uid = 178,
	name = "bead5",
	objects = {
		{
			__obj = 1,
			__uid = 178,
			baseAnimation = "button#bead5",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			floor = 103,
			name = "bead5",
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			workDirection = "right",
			workDuration = 200,
			workPos = { x=1760, y=1333, },
			workSoundId = "grab_key:sound",
			x = 1796,
			y = 1222,
		},
	},
}
levelDesc.objects[179] = {
	__uid = 179,
	name = "sewmachine-fix",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 179,
			barPos = { x=110, y=26, },
			baseAnimation = "sewmachine-fix",
			class = "FixableObject",
			defaultSection = "boutique",
			defaultShow = false,
			fixAmount = 60000,
			floor = -39,
			introductionPos = { x=364, y=964, },
			name = "sewmachine-fix",
			overheadPosition = { x=114, y=15, },
			roundPos = true,
			showExceptions = {
				"boutique_2",
			},
			swapObj = "sewmachine",
			upgradeGroup = "boutique_sewingmachine",
			workDirection = "up",
			workPos = { x=362, y=1150, },
			x = 248,
			y = 885,
		},
	},
}
levelDesc.objects[180] = {
	__uid = 180,
	name = "hidden1",
	objects = {
		{
			__obj = 1,
			__uid = 180,
			baseAnimation = "hiddenobject1",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden1",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 1873,
			y = 1080,
		},
	},
}
levelDesc.objects[181] = {
	__uid = 181,
	name = "hidden2",
	objects = {
		{
			__obj = 1,
			__uid = 181,
			baseAnimation = "hiddenobject2",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden2",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 1039,
			y = 422,
		},
	},
}
levelDesc.objects[182] = {
	__uid = 182,
	name = "hidden3",
	objects = {
		{
			__obj = 1,
			__uid = 182,
			baseAnimation = "hiddenobject3",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden3",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 1740,
			y = 533,
		},
	},
}
levelDesc.objects[183] = {
	__uid = 183,
	name = "hidden4",
	objects = {
		{
			__obj = 1,
			__uid = 183,
			baseAnimation = "hiddenobject4",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden4",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 364,
			y = 1236,
		},
	},
}
levelDesc.objects[184] = {
	__uid = 184,
	name = "hidden5",
	objects = {
		{
			__obj = 1,
			__uid = 184,
			baseAnimation = "hiddenobject5",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden5",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = -23,
			y = 561,
		},
	},
}
levelDesc.objects[185] = {
	__uid = 185,
	name = "hidden6",
	objects = {
		{
			__obj = 1,
			__uid = 185,
			baseAnimation = "hiddenobject6",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden6",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 1943,
			y = 679,
		},
	},
}
levelDesc.objects[186] = {
	__uid = 186,
	name = "hidden7",
	objects = {
		{
			__obj = 1,
			__uid = 186,
			baseAnimation = "hiddenobject7",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden7",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 609,
			y = 867,
		},
	},
}
levelDesc.objects[187] = {
	__uid = 187,
	name = "hidden8",
	objects = {
		{
			__obj = 1,
			__uid = 187,
			baseAnimation = "hiddenobject8",
			class = "HiddenObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -30,
			name = "hidden8",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 1546,
			y = 333,
		},
	},
}
levelDesc.objects[189] = {
	__uid = 189,
	name = "lovemoment1",
	objects = {
		{
			__obj = 1,
			__uid = 189,
			baseAnimation = "lovemoment1",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -62,
			introductionTextId = "none",
			name = "lovemoment1",
			roundPos = true,
			shopBoughtTextId = "NEW_NEW",
			showExceptions = {
				"boutique_2",
			},
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_lovemoment1",
			x = 249,
			y = 275,
		},
	},
}
levelDesc.objects[192] = {
	__uid = 192,
	name = "tableG-4_dirty",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 192,
			baseAnimation = "pashok-big-dirty",
			class = "StatusObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = 158,
			name = "tableG-4_dirty",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			startState = "tableEmpty",
			tableBusyVisible = false,
			tableEmptyVisible = false,
			tableOccupiedVisible = false,
			x = 173,
			y = 269,
		},
	},
}
levelDesc.objects[193] = {
	__uid = 193,
	name = "tableI-2_dirty",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 193,
			baseAnimation = "pashok-dirty",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 130,
			name = "tableI-2_dirty",
			roundPos = true,
			startState = "tableEmpty",
			tableBusyVisible = false,
			tableEmptyVisible = false,
			tableOccupiedVisible = false,
			x = 517,
			y = 281,
		},
	},
}
levelDesc.objects[194] = {
	__uid = 194,
	name = "tableH-2_dirty",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 194,
			baseAnimation = "pashok-dirty",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = 130,
			name = "tableH-2_dirty",
			roundPos = true,
			startState = "tableEmpty",
			tableBusyVisible = false,
			tableEmptyVisible = false,
			tableOccupiedVisible = false,
			x = 691,
			y = 281,
		},
	},
}
levelDesc.objects[195] = {
	__uid = 195,
	name = "jewelry2",
	objects = {
		{
			__obj = 1,
			__uid = 195,
			baseAnimation = "jewelry-side",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = 93,
			name = "jewelry2",
			roundPos = true,
			x = 1517,
			y = 969,
		},
	},
}
levelDesc.objects[197] = {
	__uid = 197,
	name = "clothespile",
	objects = {
		{
			__obj = 1,
			__uid = 197,
			baseAnimation = "clothespile",
			class = "SpriteExt",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -100,
			name = "clothespile",
			roundPos = true,
			showExceptions = {
				"boutique_4",
			},
			x = 50,
			y = 318,
		},
	},
}
levelDesc.objects[198] = {
	__uid = 198,
	name = "mouse1",
	objects = {
		{
			__obj = 1,
			__uid = 198,
			baseAnimation = "mouse_hole",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 229,
			name = "mouse1",
			roundPos = true,
			showExceptions = {
				"boutique_1",
			},
			x = 1479,
			y = 178,
		},
	},
}
levelDesc.objects[199] = {
	__uid = 199,
	name = "mouse2",
	objects = {
		{
			__obj = 1,
			__uid = 199,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			flipHorizontal = true,
			floor = 18,
			name = "mouse2",
			roundPos = true,
			scaleX = 0.9,
			scaleY = 0.9,
			showExceptions = {
				"boutique_2",
			},
			x = 46,
			y = 351,
		},
	},
}
levelDesc.objects[200] = {
	__uid = 200,
	name = "mouse3",
	objects = {
		{
			__obj = 1,
			__uid = 200,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 18,
			name = "mouse3",
			roundPos = true,
			showExceptions = {
				"boutique_3",
			},
			x = 1701,
			y = 1162,
		},
	},
}
levelDesc.objects[201] = {
	__uid = 201,
	name = "mouse4",
	objects = {
		{
			__obj = 1,
			__uid = 201,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = -21,
			name = "mouse4",
			roundPos = true,
			showExceptions = {
				"boutique_4",
			},
			x = 1845,
			y = 538,
		},
	},
}
levelDesc.objects[202] = {
	__uid = 202,
	name = "mouse5",
	objects = {
		{
			__obj = 1,
			__uid = 202,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 270,
			name = "mouse5",
			roundPos = true,
			showExceptions = {
				"boutique_5",
			},
			x = 591,
			y = 99,
		},
	},
}
levelDesc.objects[203] = {
	__uid = 203,
	name = "pashok-shadow1",
	objects = {
		{
			__obj = 1,
			__uid = 203,
			baseAnimation = "pashok-shadow",
			class = "SpriteExt",
			defaultSection = "boutique",
			floor = -247,
			name = "pashok-shadow1",
			roundPos = true,
			x = 388,
			y = 179,
		},
	},
}
levelDesc.objects[204] = {
	__uid = 204,
	name = "pashok-shadow2",
	objects = {
		{
			__obj = 1,
			__uid = 204,
			baseAnimation = "pashok-shadow",
			class = "SpriteExt",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -247,
			name = "pashok-shadow2",
			roundPos = true,
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = -112,
			y = 179,
		},
	},
}
levelDesc.objects[205] = {
	__uid = 205,
	name = "rack_1",
	objects = {
		{
			__obj = 1,
			__uid = 205,
			baseAnimation = "button#shirt2",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 19,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			name = "rack_1",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			statusObject1 = "label2",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1659, y=692, },
			workSoundId = "get_clothing:sound",
			x = 1598,
			y = 535,
		},
	},
}
levelDesc.objects[206] = {
	__uid = 206,
	name = "rack_2",
	objects = {
		{
			__obj = 1,
			__uid = 206,
			baseAnimation = "button#shirt1",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 19,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			name = "rack_2",
			showExceptions = {
				"boutique_1",
				"boutique_2",
			},
			statusObject1 = "label1",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1533, y=692, },
			workSoundId = "get_clothing:sound",
			x = 1476,
			y = 535,
		},
	},
}
levelDesc.objects[207] = {
	__uid = 207,
	name = "rack_3",
	objects = {
		{
			__obj = 1,
			__uid = 207,
			baseAnimation = "button#skirt1",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 11,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			name = "rack_3",
			showExceptions = {
				"boutique_2",
			},
			statusObject1 = "label6",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1773, y=695, },
			workSoundId = "zipper:sound",
			x = 1718,
			y = 545,
		},
	},
}
levelDesc.objects[208] = {
	__uid = 208,
	name = "rack_4",
	objects = {
		{
			__obj = 1,
			__uid = 208,
			baseAnimation = "button#skirt2",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 11,
			hideStockIndicatorWhenEmpty = true,
			hideWhenStockEmpty = true,
			introductionTextId = "none",
			name = "rack_4",
			showExceptions = {
				"boutique_2",
			},
			statusObject1 = "label7",
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1895, y=707, },
			workSoundId = "zipper:sound",
			x = 1840,
			y = 557,
		},
	},
}
levelDesc.objects[209] = {
	__uid = 209,
	name = "tableC-1_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 209,
			baseAnimation = "DUMMY_OBJECT",
			characterPos = { x=772, y=820, },
			class = "Chair",
			defaultSection = "icons",
			doTopPartSplit = false,
			floor = 862,
			hintArrowPosition = { x=-54, y=721, },
			name = "tableC-1_chair2",
			roundPos = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
			},
			workPos = { x=780, y=840, },
			x = 786,
			y = -69,
		},
	},
}
levelDesc.objects[210] = {
	__uid = 210,
	name = "lm2_shoestand",
	objects = {
		{
			__obj = 1,
			__uid = 210,
			baseAnimation = "lm2_shoestand",
			class = "SpriteExt",
			defaultSection = "boutique",
			defaultShow = false,
			name = "lm2_shoestand",
			roundPos = true,
			showExceptions = {
				"boutique_12",
			},
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_lovemoment3",
			x = 311,
			y = 230,
		},
	},
}
levelDesc.objects[211] = {
	__uid = 211,
	name = "lm2_shoe",
	objects = {
		{
			__obj = 1,
			__uid = 211,
			baseAnimation = "lm2_shoe",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = 112,
			introductionTextId = "none",
			name = "lm2_shoe",
			roundPos = true,
			showExceptions = {
				"boutique_12",
			},
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_lovemoment3",
			x = 350,
			y = 350,
		},
	},
}
levelDesc.objects[213] = {
	__uid = 213,
	name = "jewel",
	objects = {
		{
			__obj = 1,
			__uid = 213,
			anchor = "bottom",
			baseAnimation = "jewel",
			class = "DelCharacter",
			defaultSection = "jewel",
			defaultShow = false,
			floor = -49,
			name = "jewel",
			showExceptions = {
				"boutique_10",
				"boutique_6",
				"boutique_7",
			},
			x = 2142,
			y = 818,
		},
	},
}
levelDesc.objects[214] = {
	__uid = 214,
	name = "freddy",
	objects = {
		{
			__obj = 1,
			__uid = 214,
			anchor = "bottom",
			baseAnimation = "freddy",
			class = "DelCharacter",
			defaultSection = "freddy",
			defaultShow = false,
			floor = -48,
			name = "freddy",
			showExceptions = {
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 372,
			y = 1210,
		},
	},
}
levelDesc.objects[216] = {
	__uid = 216,
	name = "boxclothes",
	objects = {
		{
			__obj = 1,
			__uid = 216,
			baseAnimation = "box-clothes",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -31,
			initialVisible = false,
			name = "boxclothes",
			roundPos = true,
			showExceptions = {
				"boutique_6",
				"boutique_7",
			},
			x = 897,
			y = 727,
		},
	},
}
levelDesc.objects[217] = {
	__uid = 217,
	name = "lm3_hatstand",
	objects = {
		{
			__obj = 1,
			__uid = 217,
			baseAnimation = "lm3_hatstand",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -16,
			introductionTextId = "none",
			name = "lm3_hatstand",
			roundPos = true,
			showExceptions = {
				"boutique_8",
			},
			upgradeChoice = "upgrade",
			upgradeGroup = "boutique_lovemoment2",
			workPos = { x=244, y=523, },
			x = 136,
			y = 209,
		},
	},
}
levelDesc.objects[218] = {
	__uid = 218,
	name = "sketchbook",
	objects = {
		{
			__obj = 1,
			__uid = 218,
			baseAnimation = "sketchbook",
			class = "Object",
			defaultSection = "boutique",
			floor = 78,
			name = "sketchbook",
			overheadPosition = { x=54, y=2, },
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_10",
				"boutique_11",
				"boutique_12",
				"boutique_13",
				"boutique_14",
				"boutique_2",
				"boutique_3",
				"boutique_4",
				"boutique_5",
				"boutique_6",
				"boutique_8",
				"boutique_9",
			},
			workDuration = 800,
			workPos = { x=412, y=1147, },
			workSoundId = "sketching:sound",
			x = 366,
			y = 949,
		},
	},
}
levelDesc.objects[219] = {
	__uid = 219,
	name = "event7_item1",
	objects = {
		{
			__obj = 1,
			__uid = 219,
			baseAnimation = "button#event7_item1",
			class = "DeliverButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = -11,
			name = "event7_item1",
			showExceptions = {
				"boutique_7",
			},
			workDirection = "right",
			workDuration = 1000,
			workPos = { x=1782, y=380, },
			x = 1796,
			y = 325,
		},
	},
}
levelDesc.objects[220] = {
	__uid = 220,
	name = "event7_item3",
	objects = {
		{
			__obj = 1,
			__uid = 220,
			baseAnimation = "button#event7_item3",
			class = "DeliverButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = -17,
			name = "event7_item3",
			showExceptions = {
				"boutique_7",
			},
			workDirection = "right",
			workDuration = 1000,
			workPos = { x=1676, y=343, },
			x = 1692,
			y = 155,
		},
	},
}
levelDesc.objects[221] = {
	__uid = 221,
	name = "event7_item4",
	objects = {
		{
			__obj = 1,
			__uid = 221,
			baseAnimation = "button#event7_item4",
			class = "DeliverButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = -132,
			name = "event7_item4",
			showExceptions = {
				"boutique_7",
			},
			workDirection = "up",
			workDuration = 1000,
			workPos = { x=622, y=703, },
			x = 575,
			y = 593,
		},
	},
}
levelDesc.objects[222] = {
	__uid = 222,
	name = "event7_item2",
	objects = {
		{
			__obj = 1,
			__uid = 222,
			baseAnimation = "button#event7_item2",
			class = "DeliverButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 126,
			name = "event7_item2",
			showExceptions = {
				"boutique_7",
			},
			workDirection = "down",
			workDuration = 1000,
			workPos = { x=1402, y=1379, },
			x = 1352,
			y = 1235,
		},
	},
}
levelDesc.objects[223] = {
	__uid = 223,
	name = "event7_item5",
	objects = {
		{
			__obj = 1,
			__uid = 223,
			baseAnimation = "button#event7_item5",
			class = "DeliverButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 11,
			name = "event7_item5",
			showExceptions = {
				"boutique_7",
			},
			workDirection = "up",
			workDuration = 1000,
			workPos = { x=1036, y=1204, },
			x = 996,
			y = 1096,
		},
	},
}
levelDesc.objects[228] = {
	__uid = 228,
	name = "event13_chair1",
	objects = {
		{
			__obj = 1,
			__uid = 228,
			baseAnimation = "event13_chair",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -65,
			name = "event13_chair1",
			obstructs = {
				{ x=4, y=5, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=7, y=5, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=7, y=6, },
				{ x=7, y=7, },
				{ x=7, y=8, },
				{ x=6, y=8, },
				{ x=5, y=8, },
				{ x=4, y=8, },
				{ x=3, y=8, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
				{ x=3, y=8, },
				{ x=2, y=8, },
				{ x=10, y=5, },
				{ x=11, y=5, },
				{ x=3, y=5, },
				{ x=2, y=5, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			workDirection = "down",
			workPos = { x=776, y=927, },
			x = 651,
			y = 868,
		},
	},
}
levelDesc.objects[229] = {
	__uid = 229,
	name = "event13_stagefix1",
	objects = {
		{
			__obj = 1,
			__uid = 229,
			barPos = { x=425, y=301, },
			baseAnimation = "event13_stagefix1",
			class = "FixableObject",
			defaultSection = "boutique",
			defaultShow = false,
			fixAmount = 30000,
			floor = -174,
			name = "event13_stagefix1",
			obstructs = {
				{ x=1, y=18, },
				{ x=2, y=18, },
				{ x=3, y=18, },
				{ x=4, y=18, },
				{ x=5, y=18, },
				{ x=6, y=18, },
				{ x=7, y=18, },
				{ x=8, y=18, },
				{ x=9, y=18, },
				{ x=10, y=18, },
				{ x=11, y=18, },
				{ x=12, y=18, },
				{ x=13, y=18, },
				{ x=14, y=18, },
				{ x=15, y=18, },
				{ x=16, y=18, },
				{ x=17, y=18, },
				{ x=18, y=18, },
				{ x=19, y=18, },
				{ x=20, y=18, },
				{ x=21, y=18, },
				{ x=22, y=18, },
				{ x=23, y=18, },
				{ x=24, y=18, },
				{ x=25, y=18, },
				{ x=26, y=18, },
				{ x=27, y=18, },
				{ x=28, y=18, },
				{ x=29, y=18, },
				{ x=30, y=18, },
				{ x=31, y=18, },
				{ x=31, y=17, },
				{ x=31, y=16, },
				{ x=32, y=16, },
				{ x=33, y=16, },
				{ x=34, y=16, },
				{ x=35, y=16, },
				{ x=36, y=16, },
				{ x=36, y=17, },
				{ x=36, y=18, },
				{ x=37, y=18, },
				{ x=38, y=18, },
				{ x=39, y=18, },
				{ x=40, y=18, },
				{ x=41, y=18, },
				{ x=42, y=18, },
				{ x=43, y=18, },
				{ x=40, y=19, },
				{ x=40, y=20, },
				{ x=40, y=21, },
				{ x=40, y=22, },
				{ x=40, y=23, },
				{ x=40, y=24, },
				{ x=40, y=25, },
				{ x=40, y=26, },
				{ x=40, y=27, },
				{ x=40, y=28, },
				{ x=40, y=29, },
				{ x=41, y=29, },
				{ x=42, y=29, },
				{ x=43, y=29, },
				{ x=44, y=29, },
				{ x=39, y=29, },
				{ x=38, y=29, },
				{ x=37, y=29, },
				{ x=36, y=29, },
				{ x=35, y=29, },
				{ x=34, y=29, },
				{ x=33, y=29, },
				{ x=32, y=29, },
				{ x=31, y=29, },
				{ x=30, y=29, },
				{ x=29, y=29, },
				{ x=28, y=29, },
				{ x=27, y=29, },
				{ x=27, y=30, },
				{ x=27, y=31, },
				{ x=28, y=31, },
				{ x=29, y=31, },
				{ x=26, y=31, },
				{ x=25, y=31, },
				{ x=24, y=31, },
				{ x=23, y=31, },
				{ x=22, y=31, },
				{ x=21, y=31, },
				{ x=20, y=31, },
				{ x=19, y=31, },
				{ x=18, y=31, },
				{ x=17, y=31, },
				{ x=16, y=31, },
				{ x=18, y=30, },
				{ x=18, y=29, },
				{ x=18, y=28, },
				{ x=18, y=27, },
				{ x=18, y=26, },
				{ x=17, y=26, },
				{ x=16, y=26, },
				{ x=15, y=26, },
				{ x=14, y=26, },
				{ x=13, y=26, },
				{ x=12, y=26, },
				{ x=11, y=26, },
				{ x=10, y=26, },
				{ x=9, y=26, },
				{ x=8, y=26, },
				{ x=7, y=26, },
				{ x=6, y=26, },
				{ x=5, y=26, },
				{ x=4, y=26, },
				{ x=3, y=26, },
				{ x=2, y=26, },
				{ x=1, y=26, },
				{ x=4, y=25, },
				{ x=4, y=24, },
				{ x=4, y=23, },
				{ x=4, y=22, },
				{ x=4, y=20, },
				{ x=4, y=21, },
				{ x=4, y=19, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_13",
			},
			workPos = { x=830, y=817, },
			x = 656,
			y = 375,
		},
	},
}
levelDesc.objects[230] = {
	__uid = 230,
	name = "event13_stagefix2",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 230,
			barPos = { x=254, y=301, },
			baseAnimation = "event13_stagefix2",
			class = "FixableObject",
			defaultSection = "boutique",
			defaultShow = false,
			fixAmount = 25000,
			floor = -180,
			initialVisible = false,
			name = "event13_stagefix2",
			obstructs = {
				{ x=0, y=26, },
				{ x=1, y=26, },
				{ x=2, y=26, },
				{ x=3, y=26, },
				{ x=4, y=26, },
				{ x=5, y=26, },
				{ x=6, y=26, },
				{ x=7, y=26, },
				{ x=8, y=26, },
				{ x=9, y=26, },
				{ x=10, y=26, },
				{ x=11, y=26, },
				{ x=12, y=26, },
				{ x=13, y=26, },
				{ x=14, y=26, },
				{ x=15, y=26, },
				{ x=16, y=26, },
				{ x=17, y=26, },
				{ x=18, y=26, },
				{ x=18, y=27, },
				{ x=18, y=28, },
				{ x=18, y=29, },
				{ x=18, y=30, },
				{ x=17, y=30, },
				{ x=16, y=30, },
				{ x=19, y=30, },
				{ x=20, y=30, },
				{ x=21, y=30, },
				{ x=23, y=30, },
				{ x=22, y=30, },
				{ x=24, y=30, },
				{ x=25, y=30, },
				{ x=26, y=30, },
				{ x=27, y=30, },
				{ x=28, y=30, },
				{ x=29, y=30, },
				{ x=28, y=29, },
				{ x=28, y=28, },
				{ x=29, y=28, },
				{ x=30, y=28, },
				{ x=31, y=28, },
				{ x=32, y=28, },
				{ x=33, y=28, },
				{ x=34, y=28, },
				{ x=35, y=28, },
				{ x=36, y=28, },
				{ x=37, y=28, },
				{ x=38, y=28, },
				{ x=39, y=28, },
				{ x=40, y=28, },
				{ x=41, y=28, },
				{ x=42, y=28, },
				{ x=43, y=28, },
				{ x=44, y=28, },
				{ x=41, y=27, },
				{ x=41, y=26, },
				{ x=41, y=25, },
				{ x=41, y=24, },
				{ x=41, y=23, },
				{ x=41, y=22, },
				{ x=41, y=21, },
				{ x=41, y=20, },
				{ x=41, y=19, },
				{ x=42, y=19, },
				{ x=43, y=19, },
				{ x=40, y=19, },
				{ x=39, y=19, },
				{ x=38, y=19, },
				{ x=37, y=19, },
				{ x=36, y=19, },
				{ x=35, y=19, },
				{ x=34, y=19, },
				{ x=33, y=19, },
				{ x=32, y=19, },
				{ x=31, y=19, },
				{ x=30, y=19, },
				{ x=29, y=19, },
				{ x=28, y=19, },
				{ x=27, y=19, },
				{ x=26, y=19, },
				{ x=25, y=19, },
				{ x=24, y=19, },
				{ x=23, y=19, },
				{ x=22, y=19, },
				{ x=21, y=19, },
				{ x=20, y=19, },
				{ x=19, y=19, },
				{ x=18, y=19, },
				{ x=17, y=19, },
				{ x=16, y=19, },
				{ x=15, y=19, },
				{ x=14, y=19, },
				{ x=13, y=19, },
				{ x=12, y=19, },
				{ x=11, y=19, },
				{ x=10, y=19, },
				{ x=9, y=19, },
				{ x=8, y=19, },
				{ x=7, y=19, },
				{ x=6, y=19, },
				{ x=5, y=19, },
				{ x=4, y=19, },
				{ x=3, y=19, },
				{ x=2, y=19, },
				{ x=1, y=19, },
				{ x=0, y=19, },
				{ x=29, y=18, },
				{ x=29, y=17, },
				{ x=28, y=17, },
				{ x=27, y=17, },
				{ x=30, y=17, },
				{ x=31, y=17, },
				{ x=32, y=17, },
				{ x=33, y=17, },
				{ x=34, y=17, },
				{ x=35, y=17, },
				{ x=36, y=17, },
				{ x=37, y=17, },
				{ x=38, y=17, },
				{ x=36, y=18, },
				{ x=3, y=20, },
				{ x=3, y=21, },
				{ x=3, y=22, },
				{ x=3, y=23, },
				{ x=3, y=24, },
				{ x=3, y=25, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_13",
			},
			workPos = { x=1219, y=847, },
			x = 656,
			y = 375,
		},
	},
}
levelDesc.objects[231] = {
	__uid = 231,
	name = "event15_dolls",
	objects = {
		{
			__obj = 1,
			__uid = 231,
			baseAnimation = "event15_dolls",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = 60,
			name = "event15_dolls",
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			x = 704,
			y = 490,
		},
	},
}
levelDesc.objects[232] = {
	__uid = 232,
	name = "event15_stage",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 232,
			baseAnimation = "event15_stage",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -176,
			name = "event15_stage",
			obstructs = {
				{ x=0, y=27, },
				{ x=1, y=27, },
				{ x=2, y=27, },
				{ x=3, y=27, },
				{ x=4, y=27, },
				{ x=5, y=27, },
				{ x=6, y=27, },
				{ x=7, y=27, },
				{ x=8, y=27, },
				{ x=9, y=27, },
				{ x=10, y=27, },
				{ x=11, y=27, },
				{ x=12, y=27, },
				{ x=13, y=27, },
				{ x=14, y=27, },
				{ x=15, y=27, },
				{ x=16, y=27, },
				{ x=17, y=27, },
				{ x=18, y=27, },
				{ x=20, y=27, },
				{ x=19, y=27, },
				{ x=21, y=27, },
				{ x=22, y=27, },
				{ x=23, y=27, },
				{ x=24, y=27, },
				{ x=25, y=27, },
				{ x=26, y=27, },
				{ x=27, y=27, },
				{ x=28, y=27, },
				{ x=29, y=27, },
				{ x=30, y=27, },
				{ x=31, y=27, },
				{ x=32, y=27, },
				{ x=33, y=27, },
				{ x=34, y=27, },
				{ x=34, y=28, },
				{ x=34, y=29, },
				{ x=35, y=29, },
				{ x=36, y=29, },
				{ x=37, y=29, },
				{ x=38, y=29, },
				{ x=39, y=29, },
				{ x=40, y=29, },
				{ x=41, y=29, },
				{ x=42, y=29, },
				{ x=42, y=28, },
				{ x=42, y=27, },
				{ x=43, y=27, },
				{ x=44, y=27, },
				{ x=45, y=27, },
				{ x=42, y=26, },
				{ x=42, y=25, },
				{ x=42, y=24, },
				{ x=42, y=23, },
				{ x=42, y=22, },
				{ x=42, y=21, },
				{ x=42, y=20, },
				{ x=43, y=20, },
				{ x=44, y=20, },
				{ x=45, y=20, },
				{ x=41, y=20, },
				{ x=40, y=20, },
				{ x=39, y=20, },
				{ x=38, y=20, },
				{ x=37, y=20, },
				{ x=36, y=20, },
				{ x=35, y=20, },
				{ x=34, y=20, },
				{ x=33, y=20, },
				{ x=32, y=20, },
				{ x=31, y=20, },
				{ x=30, y=20, },
				{ x=29, y=20, },
				{ x=28, y=20, },
				{ x=27, y=20, },
				{ x=26, y=20, },
				{ x=25, y=20, },
				{ x=24, y=20, },
				{ x=23, y=20, },
				{ x=22, y=20, },
				{ x=21, y=20, },
				{ x=20, y=20, },
				{ x=19, y=20, },
				{ x=18, y=20, },
				{ x=17, y=20, },
				{ x=16, y=20, },
				{ x=15, y=20, },
				{ x=14, y=20, },
				{ x=13, y=20, },
				{ x=12, y=20, },
				{ x=11, y=20, },
				{ x=10, y=20, },
				{ x=9, y=20, },
				{ x=8, y=20, },
				{ x=7, y=20, },
				{ x=6, y=20, },
				{ x=5, y=20, },
				{ x=4, y=20, },
				{ x=3, y=20, },
				{ x=2, y=20, },
				{ x=1, y=20, },
				{ x=0, y=20, },
				{ x=3, y=21, },
				{ x=3, y=22, },
				{ x=3, y=23, },
				{ x=3, y=24, },
				{ x=3, y=25, },
				{ x=3, y=26, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_13",
				"boutique_14",
				"boutique_15",
			},
			x = 656,
			y = 375,
		},
	},
}
levelDesc.objects[233] = {
	__uid = 233,
	name = "fashion1",
	objects = {
		{
			__obj = 1,
			__uid = 233,
			baseAnimation = "button#fashion1",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 193,
			name = "fashion1",
			showExceptions = {
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=796, y=818, },
			workSoundId = "get_clothing:sound",
			x = 739,
			y = 498,
		},
	},
}
levelDesc.objects[234] = {
	__uid = 234,
	name = "fashion2",
	objects = {
		{
			__obj = 1,
			__uid = 234,
			baseAnimation = "button#fashion2",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 193,
			name = "fashion2",
			showExceptions = {
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=943, y=818, },
			workSoundId = "get_clothing:sound",
			x = 882,
			y = 498,
		},
	},
}
levelDesc.objects[235] = {
	__uid = 235,
	name = "fashion3",
	objects = {
		{
			__obj = 1,
			__uid = 235,
			baseAnimation = "button#fashion3",
			class = "IngredientButton",
			defaultSection = "boutique_icons",
			defaultShow = false,
			floor = 193,
			name = "fashion3",
			showExceptions = {
				"boutique_15",
			},
			workDirection = "up",
			workDuration = 400,
			workPos = { x=1085, y=823, },
			x = 1025,
			y = 498,
		},
	},
}
levelDesc.objects[236] = {
	__uid = 236,
	name = "event13_chair3",
	objects = {
		{
			__obj = 1,
			__uid = 236,
			baseAnimation = "event13_chair",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -65,
			name = "event13_chair3",
			obstructs = {
				{ x=4, y=5, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=7, y=5, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=7, y=6, },
				{ x=7, y=7, },
				{ x=7, y=8, },
				{ x=6, y=8, },
				{ x=5, y=8, },
				{ x=4, y=8, },
				{ x=3, y=8, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
				{ x=3, y=8, },
				{ x=2, y=8, },
				{ x=10, y=5, },
				{ x=11, y=5, },
				{ x=3, y=5, },
				{ x=2, y=5, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			workDirection = "down",
			workPos = { x=980, y=929, },
			x = 859,
			y = 867,
		},
	},
}
levelDesc.objects[237] = {
	__uid = 237,
	name = "event13_chair2",
	objects = {
		{
			__obj = 1,
			__uid = 237,
			baseAnimation = "event13_chair",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -65,
			name = "event13_chair2",
			obstructs = {
				{ x=4, y=5, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=7, y=5, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=7, y=6, },
				{ x=7, y=7, },
				{ x=7, y=8, },
				{ x=6, y=8, },
				{ x=5, y=8, },
				{ x=4, y=8, },
				{ x=3, y=8, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
				{ x=3, y=8, },
				{ x=2, y=8, },
				{ x=10, y=5, },
				{ x=11, y=5, },
				{ x=3, y=5, },
				{ x=2, y=5, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			workDirection = "down",
			workPos = { x=864, y=929, },
			x = 754,
			y = 873,
		},
	},
}
levelDesc.objects[238] = {
	__uid = 238,
	name = "event13_chair4",
	objects = {
		{
			__obj = 1,
			__uid = 238,
			baseAnimation = "event13_chair",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -65,
			name = "event13_chair4",
			obstructs = {
				{ x=4, y=5, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=7, y=5, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=7, y=6, },
				{ x=7, y=7, },
				{ x=7, y=8, },
				{ x=6, y=8, },
				{ x=5, y=8, },
				{ x=4, y=8, },
				{ x=3, y=8, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
				{ x=3, y=8, },
				{ x=2, y=8, },
				{ x=10, y=5, },
				{ x=11, y=5, },
				{ x=3, y=5, },
				{ x=2, y=5, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			workDirection = "down",
			workPos = { x=1058, y=923, },
			x = 963,
			y = 870,
		},
	},
}
levelDesc.objects[239] = {
	__uid = 239,
	name = "event13_chair-dummy",
	objects = {
		{
			__obj = 1,
			__uid = 239,
			baseAnimation = "event13_chair",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -65,
			name = "event13_chair-dummy",
			obstructs = {
				{ x=4, y=5, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=7, y=5, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=7, y=6, },
				{ x=7, y=7, },
				{ x=7, y=8, },
				{ x=6, y=8, },
				{ x=5, y=8, },
				{ x=4, y=8, },
				{ x=3, y=8, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
				{ x=3, y=8, },
				{ x=2, y=8, },
				{ x=10, y=5, },
				{ x=11, y=5, },
				{ x=3, y=5, },
				{ x=2, y=5, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			workDirection = "down",
			workPos = { x=1174, y=931, },
			x = 1076,
			y = 871,
		},
	},
}
levelDesc.objects[240] = {
	__uid = 240,
	name = "event13_chair5",
	objects = {
		{
			__obj = 1,
			__uid = 240,
			baseAnimation = "event13_chair",
			class = "Object",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -65,
			name = "event13_chair5",
			obstructs = {
				{ x=4, y=5, },
				{ x=5, y=5, },
				{ x=6, y=5, },
				{ x=7, y=5, },
				{ x=8, y=5, },
				{ x=9, y=5, },
				{ x=7, y=6, },
				{ x=7, y=7, },
				{ x=7, y=8, },
				{ x=6, y=8, },
				{ x=5, y=8, },
				{ x=4, y=8, },
				{ x=3, y=8, },
				{ x=8, y=8, },
				{ x=9, y=8, },
				{ x=10, y=8, },
				{ x=11, y=8, },
				{ x=3, y=8, },
				{ x=2, y=8, },
				{ x=10, y=5, },
				{ x=11, y=5, },
				{ x=3, y=5, },
				{ x=2, y=5, },
			},
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			workDirection = "down",
			workPos = { x=1272, y=931, },
			x = 1178,
			y = 873,
		},
	},
}
levelDesc.objects[241] = {
	__uid = 241,
	name = "event10_fix",
	objects = {
		{
			__obj = 1,
			__uid = 241,
			barFloor = 1000,
			barPos = { x=104, y=178, },
			baseAnimation = "event10_fix",
			class = "FixableObject",
			defaultSection = "boutique",
			defaultShow = false,
			fixAmount = 40000,
			floor = -70,
			hintArrowPosition = { x=108, y=14, },
			name = "event10_fix",
			obstructs = {
				{ x=3, y=14, },
				{ x=4, y=14, },
				{ x=5, y=14, },
				{ x=6, y=14, },
				{ x=7, y=14, },
				{ x=8, y=14, },
				{ x=9, y=14, },
				{ x=10, y=14, },
				{ x=11, y=14, },
				{ x=7, y=13, },
				{ x=7, y=12, },
				{ x=6, y=12, },
				{ x=5, y=12, },
				{ x=4, y=12, },
				{ x=3, y=12, },
				{ x=8, y=12, },
				{ x=9, y=12, },
				{ x=10, y=12, },
				{ x=11, y=12, },
			},
			overheadFloor = 1000,
			overheadPosition = { x=106, y=10, },
			roundPos = true,
			showExceptions = {
				"boutique_10",
			},
			workDirection = "up",
			workPos = { x=995, y=569, },
			workSoundId = "stitch_sow:sound",
			x = 887,
			y = 295,
		},
	},
}
levelDesc.objects[242] = {
	__uid = 242,
	name = "mouse11",
	objects = {
		{
			__obj = 1,
			__uid = 242,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 152,
			name = "mouse11",
			roundPos = true,
			showExceptions = {
				"boutique_11",
			},
			x = 911,
			y = 212,
		},
	},
}
levelDesc.objects[243] = {
	__uid = 243,
	name = "mouse12",
	objects = {
		{
			__obj = 1,
			__uid = 243,
			baseAnimation = "mouse_hole",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = -11,
			name = "mouse12",
			roundPos = true,
			showExceptions = {
				"boutique_12",
			},
			x = -8,
			y = 532,
		},
	},
}
levelDesc.objects[244] = {
	__uid = 244,
	name = "mouse13",
	objects = {
		{
			__obj = 1,
			__uid = 244,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 115,
			name = "mouse13",
			roundPos = true,
			showExceptions = {
				"boutique_13",
			},
			x = 1636,
			y = 897,
		},
	},
}
levelDesc.objects[245] = {
	__uid = 245,
	name = "mouse14",
	objects = {
		{
			__obj = 1,
			__uid = 245,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 263,
			name = "mouse14",
			roundPos = true,
			showExceptions = {
				"boutique_14",
			},
			x = 230,
			y = 100,
		},
	},
}
levelDesc.objects[246] = {
	__uid = 246,
	name = "mouse15",
	objects = {
		{
			__obj = 1,
			__uid = 246,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 116,
			name = "mouse15",
			roundPos = true,
			showExceptions = {
				"boutique_15",
			},
			x = 1804,
			y = 298,
		},
	},
}
levelDesc.objects[247] = {
	__uid = 247,
	name = "mouse6",
	objects = {
		{
			__obj = 1,
			__uid = 247,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 132,
			name = "mouse6",
			roundPos = true,
			showExceptions = {
				"boutique_6",
			},
			x = 1443,
			y = 1156,
		},
	},
}
levelDesc.objects[248] = {
	__uid = 248,
	name = "mouse7",
	objects = {
		{
			__obj = 1,
			__uid = 248,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 199,
			name = "mouse7",
			roundPos = true,
			showExceptions = {
				"boutique_7",
			},
			x = 223,
			y = 1161,
		},
	},
}
levelDesc.objects[249] = {
	__uid = 249,
	name = "mouse8",
	objects = {
		{
			__obj = 1,
			__uid = 249,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 95,
			name = "mouse8",
			roundPos = true,
			showExceptions = {
				"boutique_8",
			},
			x = 1195,
			y = 268,
		},
	},
}
levelDesc.objects[250] = {
	__uid = 250,
	name = "mouse9",
	objects = {
		{
			__obj = 1,
			__uid = 250,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 250,
			name = "mouse9",
			roundPos = true,
			showExceptions = {
				"boutique_9",
			},
			x = 868,
			y = 109,
		},
	},
}
levelDesc.objects[251] = {
	__uid = 251,
	name = "mouse10",
	objects = {
		{
			__obj = 1,
			__uid = 251,
			baseAnimation = "mouse",
			class = "Mouse",
			defaultSection = "mouse",
			defaultShow = false,
			floor = 295,
			name = "mouse10",
			roundPos = true,
			showExceptions = {
				"boutique_10",
			},
			x = 1937,
			y = 200,
		},
	},
}
levelDesc.objects[252] = {
	__uid = 252,
	name = "angela copy 1",
	objects = {
		{
			__obj = 1,
			__uid = 252,
			anchor = "bottom",
			base = "angela",
			baseAnimation = "angela",
			class = "DelCharacter",
			defaultSection = "angela",
			defaultShow = false,
			floor = -47,
			name = "angela copy 1",
			showExceptions = {
				"boutique_13",
			},
			x = 2154,
			y = 860,
		},
	},
}
levelDesc.objects[253] = {
	__uid = 253,
	name = "tableE-4_dirty",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 253,
			baseAnimation = "table-dirty",
			class = "StatusObject",
			defaultSection = "boutique",
			floor = -100,
			name = "tableE-4_dirty",
			roundPos = true,
			showExceptions = {
				"boutique_1",
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			startState = "tableEmpty",
			tableBusyVisible = false,
			tableEmptyVisible = false,
			tableOccupiedVisible = false,
			x = 145,
			y = 465,
		},
	},
}
levelDesc.objects[254] = {
	__uid = 254,
	name = "tableE-2_dirty",
	objects = {
		[2] = {
			__obj = 2,
			__uid = 254,
			baseAnimation = "table-dirty",
			class = "StatusObject",
			defaultSection = "boutique",
			defaultShow = false,
			floor = -95,
			name = "tableE-2_dirty",
			roundPos = true,
			showExceptions = {
				"boutique_2",
				"boutique_3",
				"boutique_4",
			},
			startState = "tableEmpty",
			tableBusyVisible = false,
			tableEmptyVisible = false,
			tableOccupiedVisible = false,
			x = 146,
			y = 459,
		},
	},
}
levelDesc.resourceSection = "boutique"
levelDesc.validPosition = { x=232, y=1204, }

